#ifndef __TPhSensorMapDBSensorItem__
#define __TPhSensorMapDBSensorItem__

///////////////////////////////////////////////////////////////////////
//
// This class stores the (FEC, String, Col) and Bonding Pattern 
// information for a given Sensor. It is being used by TPhSensorMapDB
//
// $Id: TPhSensorMapDBSensorItem.h,v 1.3 1998/12/15 19:57:33 decowski Exp $
//
///////////////////////////////////////////////////////////////////////

// Phobos classes

// Root classes
#include "TNamed.h"

class TPhSensorMapDBSensorItem : public TNamed {

private:

// This is the (FEC, String, Ch) &BondPat element that we will store 
// The storage is not yet optimal
struct FECMap_t {
  Short_t  FEC;
  Char_t  String;
  Short_t ChannelPos;
  Char_t  BondPat;
};

  Short_t  fRows;       //Number of rows this sensor has
  Short_t  fColumns;    //Number of columns this sensor has
  Short_t  fType;       //Detector Type
  Short_t  fBondPatSize;//Size of Bonding Patterns on this sensor
  FECMap_t *fMap;       //The actual Map of (Row, Col) -> (FEC, String, ChPos)

  Int_t    Index(Short_t Row, Short_t Col)
    { return Row*fColumns + Col; }

public:
  TPhSensorMapDBSensorItem();
  TPhSensorMapDBSensorItem(Char_t *SensName, Int_t Type);

  virtual ~TPhSensorMapDBSensorItem();

  void   Store(Int_t Row, Int_t Col, Int_t FEC, Int_t String, Int_t ChPos, 
	       Int_t BondPattern);
  Bool_t Lookup(Int_t Row, Int_t Col, 
		Int_t *FEC, Int_t *String, Int_t *ChPos, 
		Int_t *BondPattern);

  void   ls(Option_t *) 
    { printf("Sensor: %s\n", GetName()); }

  Int_t  GetType() { return fType; }
  Int_t  GetBondPatSize() { return fBondPatSize; }
  Int_t  GetRows() { return fRows; }
  Int_t  GetColumns() { return fColumns; }

  ClassDef(TPhSensorMapDBSensorItem,1) //Do (Sensor,Row,Col)->(FEC,Str,ChP) map

};

#endif // __TPhSensorMapDBSensorItem__
