#ifndef _TPhSensorType_
#define _TPhSensorType_

#include "TNamed.h"

class TPhSensorType : public TNamed {

public:
  TPhSensorType();
  ~TPhSensorType();

  // Calls that only are made once, to populate the object
  void SetSensorType(Int_t Type); // Set the Sensor Type Name
  void Initialise(Int_t Type);    // Read ASCII Files and fill the ROOT object

  // Other calls...
  void TPhSensorType::Dump();     // Raw ASCII Dump of the Sensor Map
  void GetRowCol(Int_t &Row, Int_t &Col, Int_t BondPat, Int_t Pad);      // Pass Bonding Pattern and Pad to get back Row and Col
  void GetBondPatPad(Int_t Row, Int_t Col, Int_t &BondPat, Int_t &Pad);  // Pass Row and Col to get back Bonding Pattern and Pad

private:
  Int_t fNumPadsPerBondPat;  // Number of Pads per Bonding Pattern
  Int_t fNumBondPat;         // Number of Bonding Patterns
  Int_t fType;               // Sensor Type

  struct DataStruct_t{
    Int_t fRow;
    Int_t fCol;
    Int_t fBondPat;
    Int_t fPad;
  };
  
  DataStruct_t *fData; 
  
  ClassDef(TPhSensorType,1)  // Bonding Patt, Pad <-> Row, Col conv.

};

#endif // _TPhSensorType_







