main(Char_t *filename, Int_t runno=1, Int_t startevno=1)
{
//___________________________________________________________________________
//*-*-*-*               Example of using TPhASCIIHijet                *-*-*-*
//*-*          to copy Hijet ASCII data events to Phobos format           *-*
//*-*          Created: January 6, 1999, Andrzej Olszewski                *-*
//*-*                                                                     *-*
//*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
//>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>SETUP<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< 

  gROOT.Reset();

  TPhEvent *event;

  Char_t PathName[150];
  Char_t FileName[200];
  Char_t EventName[20];

  const Char_t *phathome = gSystem->Getenv("PHATHOME");
  sprintf(PathName, "%s/data/",phathome); 

  TGFileInfo fi;
  const char *gOpenAsTypes[] = {
    "ADAT files",  "*.adat",
    0, 0
  };
  if(filename) strcpy(FileName,filename);
  else {
    // Prompt for file to be opened. Depending on navigation in
    // dialog the current working directory can be changed.
    // The returned file name is always with respect to the
    // current directory.
    fi.fFileTypes = gOpenAsTypes;
    fi.fIniDir = PathName;
    if(!gROOT->IsBatch()) {
      new TGFileDialog(gClient->GetRoot(), gClient->GetRoot(), kFDOpen, &fi);
      strcpy(FileName, fi.fFilename);
    } else sprintf(FileName, "data.adat",phathome);
  }

  // TPhASCIIHijet has been tested to work with one file, 
  // then new objects should be created to handle next (if any) files
  TPhASCIIHijet *data = new TPhASCIIHijet(FileName,runno,startevno);
  if( !data ) {
    fprintf(stderr,
	    "HijetToRoot: problems creating TPhASCIIHijet object - exiting.");
    return;
  }
  TPhRun *run;
  run = data->GetRun();

  // Output goes into data subdirectory of the Phat home directory
  strcat(FileName,".root");
  TFile *out = new TFile(FileName,"RECREATE");
  if( !out ) {
    fprintf(stderr,
	    "AouToRoot: could not create %s output file - exiting.",
	    FileName);
    return;
    }
  
  while( event = data->GetNextEvent() ) {
    out.cd();
      run->AddEvent(event);
      event->Write();
      event->Print("1");
      delete event;
  }

  out.cd();
    run->Write();
    data->Close();
    delete data;
  out->Close();
}

