{
  //A.O. created on 20.05.1998
  //Creates new container "MCHitArraysFromFECn0s" of TPhHitArrays out of TPhRawHitFECn0 
  //raw data objects from a "HitArraysFromFECn0" container in every event read from a root file.
 
  gROOT->Reset();
  TStopwatch timer;      // create a timer

  // Create a detector object - geometry info and container conversion factory
  // Electronics<->Sensors data base is now read in automatically 
  // when TPhGeometry object is created
  TPhDetector *detector = TPhDetector::ReadLatestGeometry();
  if( !detector ) {
    printf("Error: LatestGeometry not found in the $PHATHOME/init/test/Detector.root file - \nchange macro to provide TPhDetector object");
    exit(0);
  }
  // Set verbose to have more diagnostics
  detector->SetVerbose(1);

  Char_t FileName[100];
  const Char_t *phathome = gSystem->Getenv("PHATHOME");

  // Input data file
  Char_t *inputdata = "raw_cv0_00000e1.apx.root";
  sprintf(FileName,"%s/data/%s",phathome,inputdata);

  TPhDST *fin = new TPhDST(FileName);
  if( !fin ) {
       printf("Input file could not be opened!\n");
       exit(0);
  }
  // Output data file
  sprintf(FileName,"%s/data/hitarr_%s",phathome,inputdata);
  TFile *fout = new TFile(FileName, "recreate");
  if( !fout->IsOpen() ) {
      printf("Output file could not be opened!\n");
      exit(0);
  }

  TPhDataObject *dcont;
  TPhEvent *event;

  timer.Start();
  while(event = fin->GetNextEvent()) {
    detector->SetEvent(event);
    detector->MakeHitArrays("MCRawHitFECn0s","MCHitArraysFromFECn0s");

    // clean event of MCHits and MCTracks containers if necessary  //
    //    dcont = event->GetObject("MCTracks");                    //
    //    event->RemoveObject(dcont);                              //
    //    delete dcont;                                            //
    //    // is the order important?                               //
    //    dcont = event->GetObject("MCHits");                      //
    //    event->RemoveObject(dcont);                              //
    //    delete dcont;                                            //
    /////////////////////////////////////////////////////////////////

    // write down event with only hitarrays and raw data buffers
    fout->cd(); event->Write();
    event->ls("C");

    delete event;
  }
  timer.Stop();
  timer.Print();

  fout->Close();
  fin->Close();
}
