{
    gROOT->Reset();
    gROOT->Time();



    Float_t x;
    Float_t z;
    Float_t dist;
    Int_t num = 0;
    Int_t i;
   
    Float_t chi2;
    Float_t ndof;
    Float_t p;
    
    const Float_t kMomX = 0.08;
    const Float_t kMomZ = 0.08;

    TPhHit *hit;
    TPhStuff *stuff = new TPhStuff();

// For some of the later stuff we will need to know the 
// location of the $PHATHOME directory. Use the TSystem 
// class (thanks, Fons) for getting this variable:

   const Char_t *phathome = gSystem->Getenv("PHATHOME");
   printf("Found PHAT home at %s\n",phathome);
   Char_t fname[256];


    printf("Create Magnet\n");

    TPhIdealMagnet *magnet = new TPhIdealMagnet();

    printf("Create Detector\n");

    TPhDetector *det  = new TPhDetector();
    sprintf(fname,"%s/init/test",phathome);
    det->ReadASCIIGeometry(fname);

    printf("Create Simulator\n");

    TPhSwim   *swim = new TPhSwim();
    swim->SetMagnet(magnet);
    swim->SetDetector(det);
    swim->SetMS(kFALSE);
    swim->SetPixelize(kFALSE);
    swim->SetVerbose(kFALSE);

    printf("Create Track\n");

    TrueTrack = new TPhTrack();
    TrueTrack->SetPx(kMomX);
    TrueTrack->SetPz(kMomZ);
    TrueTrack->SetPy(0);
    TrueTrack->SetMass(0.139);
    TrueTrack->SetCharge(1);
    swim->SwimTrack(TrueTrack);
    TObjArray *list = TrueTrack->GetHitList();
    printf("list at %x\n",list);
    printf("%d hits\n",list->GetEntries());
    printf("Create Template\n");
     
    TPhTrackTemplate *t = new TPhTrackTemplate(16);

    printf("Fill track to template\n");
    t->FillTrack(TrueTrack,kFALSE);

    printf("Draw detector\n");
    det->Draw();
    TrueTrack->Draw(2);


    swim->SetMS(kTRUE);
    swim->SetPixelize(kTRUE);
    swim->SetVerbose(0);      

    Float_t vec[13];
    Int_t cnt;

// First, fill tracks with multiple scattering into the track
// template to determine average distance from the template
// in each plane. 
// The full covariance matrix is then filled in the next step
// with the normalized errors. That's done to make the inter-
// polation of missing rows easier.

    for(i=0;i<10000;i++)
    {
        if(!(i%1000))
        {
            printf("Add track %d\n",i);
        }
        track = new TPhTrack();
        track->SetPx(kMomX);
        track->SetPz(kMomZ);
        track->SetPy(0);
        track->SetMass(0.139);
        track->SetCharge(1);
        swim->SwimTrack(track);
        track->Draw(4);
        if(track->GetNHits() == t->GetNRows())
        {
            t->AddTrack(track,kFALSE);
        }
    }
    t->NormEntries();

// This time fill the full covariance matrix with normalized
// errors

    for(i=0;i<10000;i++)
    {
        if(!(i%1000))
        {
            printf("Add track %d\n",i);
        }
        track = new TPhTrack();
        track->SetPx(kMomX);
        track->SetPz(kMomZ);
        track->SetPy(0);
        track->SetMass(0.139);
        track->SetCharge(1);
        swim->SwimTrack(track);
        track->Draw(4);
        if(track->GetNHits() == t->GetNRows())
        {
            t->AddTrack(track,kTRUE);
        }
    }
    t->NormCovar();

    printf("1:\n");
    t->PrintCovar();
    printf("2:\n");
    t->PrintCovar();
    t->InvertCovar();
    printf("3:\n");
    t->PrintCovar();
    t->WriteCovar("test.covar");
}


