// Made by A.O. on 4.11.1997
// Read events from a root file and show some info about the events.
// Used to explicitely list several type of TPhObjectContainers in the event list
//main() 
{
    gROOT->Reset();

    Int_t      i,j;

    TObjArray        *CList;
    TObjArray        *OList;

    TPhTrack         *track;
    TPhHit           *hit;
    TPhMCTrack       *mctrack;
    TPhMCHit         *mchit;
    TPhHitArray      *hitarray;
    TPhRawHitBuffer  *rhbuffer;
    TPhObjectContainer *DContainer;
    TPhEvent         *event;


    // Open the data file. File can be generated by the write_events.C macro
    // As with all Phat stuff, PHATHOME envrionment has to be defined and 
    // pointing to the main Phat directory
    Char_t FileName[200];
    sprintf(FileName, "%s/data/pmc100ev89.hijet.aou.root.gufldswum", gSystem->Getenv("PHATHOME"));
    TPhDST *dst = new TPhDST(FileName);

    //    while( event = dst->GetNextEvent()) 
    {
    //  Lets read only one event
      event = dst->GetNextEvent();
      printf("Found %d %d \n",event->GetNRun(), event->GetNEvent());

      DContainer = NULL;
      CList = NULL;
      DContainer = (TPhObjectContainer*) event->GetObject("SwimTracks");
      if( DContainer ) CList = DContainer->GetObjectList();
      if( CList ) {
         printf("\nSwimTracks data container: %d tracks in event\n", CList->GetEntries());

         TIter TrackIter(CList);
         while(track = (TPhTrack*) TrackIter()) {
           track->Print();
           gSystem->Sleep(100);
         }
      }

      DContainer = NULL;
      CList = NULL;
      DContainer = (TPhObjectContainer*) event->GetObject("SwimHits");
      if( DContainer ) CList = DContainer->GetObjectList();
      if( CList ) {
         printf("\nSwimHits data container: %d hits in event\n", CList->GetEntries());

         TIter HitIter(CList);
         while(hit = (TPhHit*) HitIter()) {
           hit->Print();
           gSystem->Sleep(100);
         }
      }

      DContainer = NULL;
      CList = NULL;
      DContainer = (TPhObjectContainer*) event->GetObject("MCTracks");
      if( DContainer ) CList = DContainer->GetObjectList();
      if( CList ) {
         printf("\nMCTracks data container: %d tracks in event\n", CList->GetEntries());

         TIter mcTrackIter(CList);
         while(mctrack = (TPhMCTrack*) mcTrackIter()) {
           mctrack->Print();
           gSystem->Sleep(100);
         }
      }

      DContainer = NULL;
      CList = NULL;
      DContainer = (TPhObjectContainer*) event->GetObject("MCHits");
      if( DContainer ) CList = DContainer->GetObjectList();
      if( CList ) {
         printf("\nMCHits data container: %d hits in event\n", CList->GetEntries());

         TIter mcHitIter(CList);
         while(mchit = (TPhMCHit*) mcHitIter()) {
           mchit->Print();
           gSystem->Sleep(100);
         }
      }


      DContainer = NULL;
      CList = NULL;
      DContainer = (TPhObjectContainer*) event->GetObject("MCHitArrays");
      if( DContainer ) CList = DContainer->GetObjectList();
      if( CList ) {
         printf("\nMCHitArrays data container: %d hit arrays in event\n", 
              CList->GetEntries());
         TIter ArrayIter(CList);
         while(hitarray = (TPhHitArray*) ArrayIter()) {
           hitarray->Print();
           gSystem->Sleep(100);
         }
      }


      DContainer = NULL;
      CList = NULL;
      DContainer = (TPhObjectContainer*) event->GetObject("MCRawHitBuffers");
      if( DContainer ) CList = DContainer->GetObjectList();
      if( CList ) {
         printf("\nRawHitBuffers data container: %d raw hit buffers in event\n", 
              CList->GetEntries());

         TIter rhbIter(CList);
         while(rhbuffer = (TPhRawHitBuffer*) rhbIter()) {
           rhbuffer->Unpack();
           rhbuffer->PeekUnpck(0);
           gSystem->Sleep(100);
         }
      }

      DContainer = NULL;
      CList = NULL;
      DContainer = (TPhObjectContainer*) event->GetObject("BackHitArrays");
      if( DContainer ) CList = DContainer->GetObjectList();
      if( CList ) {
         printf("\nBackHitArrays data container: %d hit arrays in event\n", 
              CList->GetEntries());
         TIter BArrayIter(CList);
         while(hitarray = (TPhHitArray*) BArrayIter()) {
           hitarray->Print();
           gSystem->Sleep(100);
         }
      }

    }
}
