{
    gROOT.Reset();


    Float_t x;
    Float_t z;
    Float_t dist;
    Int_t num = 0;
    Int_t i;
   
    Float_t chi2;
    Float_t ndof;
    Float_t p;
    
    Float_t kMomX = 0.08;
    Float_t kMomZ = 0.08;

    TPhHit *hit;
    TPhStuff *stuff = new TPhStuff();

    TPhMagnet *magnet = new TPhMagnet(1);
    TPhDetector *det  = new TPhDetector();

    const Char_t *phathome = gSystem->Getenv("PHATHOME");
    printf("Found PHAT home at %s\n",phathome);

    Char_t pathname[256];
    sprintf(pathname,"%s/init/test.2d", phathome);
    det->ReadASCIIGeometry(pathname);

    TPhSwim   *swim = new TPhSwim();
    swim->SetMagnet(magnet);
    swim->SetDetector(det);
    swim->SetMS(kFALSE);
    swim->SetPixelize(kFALSE);


    TrueTrack = new TPhTrack();
    TrueTrack->SetPx(kMomX);
    TrueTrack->SetPz(kMomZ);
    TrueTrack->SetPy(0);
    TrueTrack->SetMass(0.139);
    TrueTrack->SetCharge(1);
    swim->SwimTrack(TrueTrack);
     
    TPhTrackTemplate *t = new TPhTrackTemplate(16);
    t->FillTrack(TrueTrack,kFALSE);

    swim->SetMS(kTRUE);
    swim->SetPixelize(kTRUE);
    swim->SetVerbose(0);      

    for(i=0;i<1000;i++)
    {
        track = new TPhTrack();
        track->SetPx(kMomX);
        track->SetPz(kMomZ);
        track->SetPy(0);
        track->SetMass(0.139);
        track->SetCharge(1);
        swim->SwimTrack(track);
        if(track->GetNHits() == 13)
        {
            t->AddTrack(track);
        }
    }
    t->PrintCovar();
    t->NormEntries();
    stuff->InvCovar(t->GetCovar(),t->GetNRows());


    TCanvas c("c");

    TH1F prob("prob","prob",100,0,1);
    TPhStuff *stuff = new TPhStuff();

    TFile f("ntuple.root","RECREATE");
    TNtuple *nt = new TNtuple("nt","Ntuple","nhits:ndof:chi2:prob:dp");
    for(i=0;i<5000;i++)
    {
        track = new TPhTrack();
        dp = 0.01 - TRandom::Rndm()*0.02;
        track->SetPx(kMomX+dp);
        track->SetPz(kMomZ+dp);
        track->SetPy(0);
        track->SetMass(0.139);
        track->SetCharge(1);
        swim->SwimTrack(track);
        t->CalcChi2(track,1);
        p = stuff->GetProb(track->GetChi2(),track->GetNDof());
        nt->Fill(track->GetNHits(),track->GetNDof(),track->GetChi2(),p,dp);
        prob.Fill(p);
        if(!(i%10))
        {
            prob.Draw("e1p");
            c.Update();
        }
    }
   
}

