// Test TPhRawHitBuffer writing part.
//
//Begin_Html <A HREF="mailto:decowski@mit.edu">decowski@mit.edu</A>
//End_Html
{
  gROOT->Reset();

  TFile file("rawbuf.root", "RECREATE");
  // No compression for now
  file.SetCompressionLevel(0);

  RawHit_t Hit;

  Int_t EventNum;
  Int_t FlexCable;
  Int_t Channel;

  for (EventNum = 0; EventNum < 10; EventNum++) {
    TPhEvent *Event = new TPhEvent(0, EventNum);

    // Create data container "RawHits". All RawHitBuffers will be 
    // put inside this container. 
    TPhHashContainer *Container = new TPhHashContainer("RawHits");

    // Add data container to event
    Event->AddObject(Container);

    for (FlexCable = 0; FlexCable < 100; FlexCable++) {
      TPhRawHitBuffer *HitBuffer = new TPhRawHitBuffer(EventNum, FlexCable);

      Container->Add(HitBuffer);
      for(Channel= 0; Channel < 64; Channel++) {
	Hit.ADC = 1 << Channel;  // just to check that all bits are available
	Hit.Channel = Channel;
	Hit.Chip = 13;
	HitBuffer->Add(&Hit);  // put structure RawHit_t into the RawHitBuffer
      }

      // Pack the hits into their three byte representation. 
      HitBuffer->Pack();
    }

    // The event and all the objects inside it, like the RawHits container 
    // will be written out. The RawHits container will ensure that the 
    // individual RawHitBuffers will be written out. 
    Event->Write();

    // TPhEvent is a special class: it owns all the objects inside it. This 
    // means that when the destructor is called, all the destructors inside
    // will be called, such as the destructor for the data container etc.
    delete Event;
  }
  file.Close();
}

