// cleanroot.C
// Made by A.O. on 4.11.1997
// examples how to clear/delete lists/objects in the Phobos event object
//main()
{
    gROOT->Reset();

// Define a couple of pointers to be used later

    TPhEvent *event;
    TPhHit   *hit;  
    TPhTrack *track;
    TPhObjectContainer *HitBuffer;
    TPhObjectContainer *TrackBuffer;


// Get the $PHATHOME directory. 

   const Char_t *phathome = gSystem->Getenv("PHATHOME");
   printf("Found PHAT home at %s\n",phathome);

//  Define input file name, output will have .cleaned automatically added 
    Char_t input_name[50];
    strcpy(input_name,"pmc100ev89.hijet.aou.root");

    Char_t FileName[256];
    sprintf(FileName,"%s/data/%s",phathome,input_name);

//  Now create a TPhDST object to access the data file at the 
//  path given by FileName

    TPhDST *dst = new TPhDST(FileName);

// Open the output file for the cleaned events

    sprintf(FileName,"%s/data/%s.cleaned",phathome,input_name);
    out = new TFile(FileName,"RECREATE","cleaned");

// Now read events from the file until we hit the end-of-file

    while(event = dst->GetNextEvent())
    {

        printf("Now at event %d %d\n",event->GetNRun(),event->GetNEvent());

        // event->RemoveObject(TDataObject *) removes TPhDataObject from the event hash table
        // but does not delete actual objects, this should be done explicitely
        // but care must be exercised not to attempt to delete some objects 
        // several times
        // e.g. hit objects are pointed to from two lists now, the global list of 
        // hits in the event (this one should only be cleaned up), and the lists
        // in individual tracks. Tracks own their hits, so only when removing
        // tracks (track list) one can delete hit objects as well.

	/*
	// Example: How to remove MCHitArrays, MCHit and MCTrack data containers, 
        //          created by ConvApxToRoot.C macro, from the event list.

       TPhHashContainer *hitarrays = (TPhHashContainer *) event->GetObject("MCHitArrays");
       if( hitarrays ) {
         event->RemoveObject(hitarrays);   // remove pointer from the event list
         delete hitarrays;                 // free memory/delete TPhHitArray objects
                                           //      and the data container
       } else {
          fprintf(stderr,"Can't find TPhObjectContainer 'MCHitArrays'.\n");
          exit(0);
       }


       TPhObjectContainer *mchits = (TPhObjectContainer *) event->GetObject("MCHits");
       if( mchits ) {
          event->RemoveObject(mchits);     // TPh(MC)Hits are owned by tracks
                                           // don't delete the hit objects, so ...
          mchits->GetObjectList()->Clear();//     remove objects from the list before
          delete mchits;                   //     deleting the data container
       } else {
          fprintf(stderr,"Can't find TPhObjectContainer 'MCHits'.\n");
          exit(0);
       }

       TPhObjectContainer *mctracks = (TPhObjectContainer *) event->GetObject("MCTracks");
       if(mctracks) {
           event->RemoveObject(mctracks);  // Remove the pointer from the event list
           delete mctracks;                // delete the data container and all the TPh(MC)Track objects
	                                   // it currently owns,
                                           // TPh(MC)Track destructor deletes also TPh(MC)hit objects
       } else {
           fprintf(stderr,"Can't find TPhObjectContainer 'MCTracks'.\n");
           exit(0);
       }

       out.cd();            // write event to the proper file
       event.Write();
       
       delete event;        // Release the memory for the event before reading the next one
       */


       // Example: How to remove MCHitArrays data container, and clean from TPhMCHit objects, 
       //          created by convApxToRoot.C macro, making space for new TPh(MC)Hits generated
       //          elsewere.

       TPhHashContainer *hitarrays = (TPhHashContainer *) event->GetObject("MCHitArrays");
       if( hitarrays ) {
	 //         printf("Removing 'MCHitArrays'.\n");
         event->RemoveObject(hitarrays);   // remove pointer from the event list
         delete hitarrays;                 // free memory/delete TPhHitArray objects
                                           //      and the data container
       } else {
          fprintf(stderr,"Can't find TPhObjectContainer 'MCHitArrays'.\n");
          exit(0);
       }


       TPhObjectContainer *mchits = (TPhObjectContainer *) event->GetObject("MCHits");
       if( mchits ) {
          TObjArray *hlist = NULL;
                                           // this time data container is being left, 
	  //          printf("Attepmt to clear 'MCHits'.\n");
          hlist = mchits->GetObjectList();
          hlist->Clear();// remove objects from the list, but do not delete them.
       } else {
          fprintf(stderr,"Can't find TPhObjectContainer 'MCHits'.\n");
          exit(0);
       }

       TPhObjectContainer *mctracks = (TPhObjectContainer *) event->GetObject("MCTracks");
       if(mctracks) {                      // this time data container is being left, 
          TObjArray *hlist= NULL;
          TIter NextTrack(mctracks->GetObjectList());
          while(track = (TPhMCTrack *) NextTrack()) {
             TObjArray *hitlist = track->GetHitList();
	     //            printf("Attempt to clear and delete 'MCHits' for each track.\n");
             if(hitlist) hitlist->Delete(); // clear the list and delete TPh(MC)hit objects 
          }
       } else {
           fprintf(stderr,"Can't find TPhObjectContainer 'MCTracks'.\n");
           exit(0);
       }

       out.cd();           // write event to the proper file
       event.Write();
       
       delete event;       // Release the memory for the event before reading the next one

    }
    // Close the file
    out->Close();
    dst->Close();
}
