// Made by A.O. on 28.05.1998
// Compare two containers of TPhHitArrays
// when ha1->Print("2") (below) for full listings is used, run the following
// phat -b -q comp_hitarr.C > listing.txt

//main() 
{
    gROOT->Reset();

    Int_t      i,j;
    TPhEvent         *event;
    TPhHitArray *ha1, *ha2;

    // fprintf used since redirection doesn't seem to work under Linux ROOT at the moment 
    FILE *ofile;
    ofile = fopen("hitarrComp.txt", "w");

    // Open the data file. 
    Char_t FileName[200];
    sprintf(FileName, "%s/data/hitarr_raw_cv0_00000e1.apx.root", gSystem->Getenv("PHATHOME"));
    TPhDST *dst = new TPhDST(FileName);

    Char_t *haname1 = "MCHitArrays";
    Char_t *haname2 = "MCHitArraysFromFECn0s";

    while( event = dst->GetNextEvent()) 
    {
    //  read only one event now to avoid text overflow on the screen
    //      event = dst->GetNextEvent();
      printf("Found event %d %d \n",event->GetNRun(), event->GetNEvent());

      TPhHashContainer *hat1 = (TPhHashContainer*) event->GetObject(haname1);
      TPhHashContainer *hat2 = (TPhHashContainer*) event->GetObject(haname2);
      if(!hat1 || !hat2) fprintf(ofile,"HitArray containers not found\n");

      TIter Ha1Iter(hat1->GetIterator());
      TIter Ha2Iter(hat2->GetIterator());
      while(ha1 = (TPhHitArray *) Ha1Iter()) {
         ha2 = (TPhHitArray *) hat2->GetObject(ha1->GetName());
         if(ha2) {
           fprintf(ofile,"Hit array named %s found\n",ha1->GetName());
           // If one wants whole TPhHitArray listings for comparison by eye
           ha1->Print("2");
           ha2->Print("2");
	   /*
           // Formal comparison
           for(Int_t i=0; i<ha1->GetRows(); i++) {
	     for(Int_t j=0; j<ha1->GetColumns(); j++) {
                if((Int_t)(ha1->GetADC(i,j)-ha2->GetADC(i,j)) != 0) 
                   fprintf(ofile,"Hit array named: %s differ at ROW: %d COLUMN: %d, HA1: %d, HA2: %d \n",
                     ha1->GetName(),i,j,ha1->GetADC(i,j),ha2->GetADC(i,j));
	     }
	   }
	   */
	 } else {
           fprintf(ofile,"Hit array named %s not found\n",ha1->GetName());
	 }
      }
    }
}
