//
{
    gROOT->Reset();


    Float_t x;
    Float_t z;
    Float_t dist;
    Int_t num = 0;
    Int_t i;
   
    Float_t chi2;
    Float_t ndof;
    Float_t p;
    
    Float_t kMomX = 0.08;
    Float_t kMomZ = 0.08;

    TPhHit *hit;
    TPhStuff *stuff = new TPhStuff();

    TPhMagnet *magnet = new TPhIdealMagnet();
    TPhDetector *det  = new TPhDetector();


    const Char_t *phathome = gSystem->Getenv("PHATHOME");
    printf("Found PHAT home at %s\n",phathome);

    Char_t pathname[256];
    sprintf(pathname,"%s/init/test", phathome);
    det->ReadASCIIGeometry(pathname);

    TPhSwim   *swim = new TPhSwim();
    swim->SetMagnet(magnet);
    swim->SetDetector(det);
    swim->SetMS(kFALSE);
    swim->SetVerbose(kFALSE);
    swim->SetPixelize(kFALSE);

    TObjArray *LayerList = det->GetLayerList();
    TPhLayer *layer;
    TPhSensor *sensor;
    TIter NextLayer(LayerList);
    TObjArray *SensorList;

    TrueTrack = new TPhTrack();
    TrueTrack->SetPx(kMomX);
    TrueTrack->SetPz(kMomZ);
    TrueTrack->SetPy(0);
    TrueTrack->SetMass(0.139);
    TrueTrack->SetCharge(1);
    swim->SwimTrack(TrueTrack);

    TPhTrackTemplate *t = new TPhTrackTemplate(16);
    t->FillTrack(TrueTrack,kFALSE);

    det->Draw();
    TrueTrack->Draw(2);

    TObjArray *LayerList = det->GetLayerList();
    TPhLayer *layer;
    TPhSensor *sensor;
    TIter NextLayer(LayerList);
    TObjArray *SensorList;

    while(layer = (TPhLayer *) NextLayer()) {
      SensorList = (TObjArray *) layer->GetSensorList();
      TIter NextSensor(SensorList);
      while(sensor = (TPhSensor *) NextSensor())
	{
	  sensor->SetEfficiency(1.00);
	}
    }
    swim->SetMS(kTRUE);
    swim->SetPixelize(kTRUE);
    swim->SetVerbose(0);      

    Float_t vec[13];
    Int_t cnt;

    Float_t dp = 0;

    TH1F prob("prob","prob",100,0,1);
    TPhStuff *stuff = new TPhStuff();
    t->ReadCovar("test.covar");

    for(i=0;i<50;i++)
    {
        track = new TPhTrack();
        track->SetPx(kMomX);
        track->SetPz(kMomZ);
        track->SetPy(0);
        track->SetMass(0.139);
        track->SetCharge(1);
        swim->SwimTrack(track);
        track->Draw(4);
	//        t->CalcChi2(track, kTRUE);

        p = stuff->GetProb(track->GetChi2(),track->GetNDof());
    }
   
}

