//
//Original by GR
//mpd 970912 adopted to new Phat Design
{
    gROOT->Reset();

    Int_t num;
    Int_t i;

    TPhEvent *event;
    TPhTrack *track;

    Char_t FileName[256];
    sprintf(FileName, "%s/data/test.root", gSystem->Getenv("PHATHOME"));
    TPhDST *dst = new TPhDST(FileName);

    TCanvas can("can");

    TH1F *raph = new TH1F("raph","Rapidity",120,-6,6);

    while((event = dst->GetNextEvent()) && num < 1000)
    {
      printf("Found event %d\n",event->GetNEvent());
      i = 0;

      // Our generated tracks are in a TPhObjectContainer, named 'MCTracks'
      // in the event object. We first need to receive it. 
      TPhObjectContainer *TrackContainer = 
	(TPhObjectContainer*) event->GetObject("MCTracks");

      // Here we create an iterator over all Tracks in the event.
      TIter TrackIter(TrackContainer->GetObjectList());

      // Loop over all tracks and fill a histogram with rapidity of the 
      // track, assuming pion mass. 
      while(track = (TPhTrack*) TrackIter())
	raph->Fill(track->GetRap(0.139));

      if(!(event->GetNEvent()%5)) {
	raph->Draw();
	can->Update();
      }
      num++;
      delete event;
    }
    raph->Draw("e1p");
}

