// Example script of how to get the detector and to query various 
// informational parts. 
// 
//Begin_Html <A HREF="mailto:decowski@mit.edu">decowski@mit.edu</A>
//End_Html

{

  gROOT->Reset();

  TCanvas c1("view", "Phobos Detector", 700, 700);
  c1.Divide(1, 2);
  c1.SetFillColor(5);
  Char_t FileName[256];
  sprintf(FileName,"%s/init/test/Detector.root", 
	  gSystem->Getenv("PHATHOME"));
  TFile f(FileName);
  // This is the name of the detector
  TPhDetector *det = f.Get("PMC_V4.20");
  f.Close();
  if(!det) {
    printf("Couldn't find the detector !\n");
    return;
  }
  c1.cd(1);
  det->Draw();
  TPaveLabel l1(-0.95, -0.97, -0.2, -0.7, "Ideal View of Phobos Detector");
  l1.Draw();

  // Make a more realistic view of the detector
  // Turn off some of the detector
  det->GetSubDetector("SpectP")->TurnOff();
  det->GetSubDetector("TOFP")->TurnOff();
  c1.cd(2);
  det->Draw();
  TPaveLabel l2(-0.95, -0.97, -0.2, -0.7, "Realistic View of Phobos Detector");
  l2.Draw();

}
