// Onl.C  Wrapper for interactive control of J.K. online plots
//     "Process" for use with phatonl.C.
//   Note tt, nchan  are declared in Onl.h       08-Dec-1998   D McLeod
//        Rewritten 13Feb99 for extensively changed TPhOn***   D McLeod
//***********************************************************************
void Onl(Int_t phase = 0, Int_t dflag = 0)
{
  if (ReportLevel >= 3) {
    printf("Onl entered, phase = %d, dflag = %d\n",phase,dflag);
  }
//*********************************************************************
  if(phase == kIni1) {  
    if (ReportLevel >= 3) printf("Onl initialization\n");

     tt = new TPhOnSensorContainer("senshistos");
     Int_t i= tt->Init();
     if(i) printf("TPhOnSensorContainer succesfully initialized!\n");
     tt->SetXCanvas(950);  // Note problem.. what if screen resolution
     tt->SetYCanvas(790);  // is set differently?  We'll have to fix
     tt->SetXPosCanvas(255);
     tt->SetYPosCanvas(30);

  } // end of initialization phase wrapper
//******************************************************************
  if(phase == kRun1) { 
  if (ReportLevel >= 3) {
    printf("tt->Fill(ev) called, iev = %d\n",iev);
  }
     tt->Fill();

  }  // end of run phase wrapper
//******************************************************************  
  if(phase == kDis3) {
    if (ReportLevel >= 3) printf("Onl:starting display\n"); 
//   In this case we don't want to display repeatedly; instead bring
//   up onlgui & allow selection of desired set of plots, hold until EXIT.
//   Repeat only when "Onl" button is pushed. (phat.C default is dynamic
//   plot i.e. continuous refresh event by event.)
 
    onlgui();    // This brings up the buttons to choose the plot.
    if(flOnl == 2) { onlc1->Close(); onlc1 = NULL; }
    flOnl = 0;   // This turns off redisplay on the next event.   

  }  // end of display phase wrapper
//******************************************************************  
  if(phase == kDisf) {
//  same action as during event loop except no redisplay problem
    if (ReportLevel >= 3) printf("Onl:starting final display\n"); 

    onlgui();    // This brings up the buttons to choose the plot.
    if(flOnl == 2) { onlc1->Close(); onlc1 = NULL; }
    flOnl = 0;
  }  // end of final display phase wrapper
//*************************************************************************
}  // end of Onl.C



