// Spc.C  PHOBOS track finder mockup for MDC2            KW 1999/02/03
//   For use with phat.C    The global definitions are in Spc.h
//       See help on phat.C for details on how to convert macros
//*************************************************************************
//  Spc.C function wrapper:
void Spc(Int_t phase = 0, Int_t dflag = 0)
{
  if(ReportLevel >= 3)
     printf("Spc entered, phase = %d, dflag = %d\n",phase,dflag);
  if(phase == kIni1) {
  merg = new TPhMerging();
  merg->SetVerbose(0);
  merg->SetMergingType(mergtype);
  merg->SetMaxMergedPads(mergmax);

  tfinder  = new TPhTrackTemplFinder();
  tfinder->SetVerbose(1);
  tfinder->ReadTemplateList(gSystem->ExpandPathName(TemplFile1));
  tfinder->ReadTemplateList(gSystem->ExpandPathName(TemplFile2));
  tfinder->ReadTemplateList(gSystem->ExpandPathName(TemplFile3));
  tfinder->ReadTemplateList(gSystem->ExpandPathName(TemplFile4));
  tfinder->ReadTemplateList(gSystem->ExpandPathName(TemplFile5));
  tfinder->ReadTemplateList(gSystem->ExpandPathName(TemplFile6));
  tfinder->SetVerbose(0);
  if(MaxCompDist > 0.0)  tfinder->SetMaxCompDist(MaxCompDist);

  tsel  = new TPhTrackSelector();
  tsel->SetVerbose(0);

  tseed = new TPhTrackSeedFinder();
  tseed->SetVerbose(0);
  tseed->SetMulguisinMode(0);
  tseed->SetMulguisinResol(0.02);
  tseed->SetMulguisinLayer(3);

  for(i=0; i < 21; i++)   neventntrf[i] = 0;
    
  }  // End of initialization phase wrapper 
//*************************************************************************


  if(phase == kRun3) { 
        if (ReportLevel >= 2) printf("Start Reconstruction\n");///////////

//===============
// Reconstruction
//===============

    merg->MergeSpecHits('P');     // ****** only one spectrometer arm !

    tfinder->SetMerging(merg);

    if(useseed > 0)
    {
       tseed->RunMulguisin();
       tfinder->SetTrackSeed(tseed);
    }

//        CPU time limit  set by global constant  in  Spc.h
    templtested = tfinder->CreateTrackCandidates(kCPUlimit);
    ncandidates = tfinder->GetCandidateList()->GetEntries();

    tsel->SelectTracks(tfinder->GetCandidateList());
	
    tracklist = tsel->GetTrackList();
    ntrfound = tracklist->GetEntries();
    if (ReportLevel >= 3) printf("End Reconstruction\n");///////////

//===============
// Results:
//  templtested - fraction of templates tested up to CPU time limit
//  ncandidates - number of track candidates
//  ntrfound    - number of tracks after selection 
//  tracklist   - list of tracks found
// summarized:
//  neventntrf[ntrfound] - number of events with  ntrfound  tracks found
//===============

	printf("Found %d candidates   and %d tracks in the fraction of templates %f \n", ncandidates, ntrfound, templtested);
	for(i=0;i<tracklist->GetEntries();i++)
	{
	    track = (TPhTrack *) tracklist->At(i);
	    //	    mom->Fill(track->GetP());
	    printf("Found track %g (%g , %g , %d)\n",
              track->GetP(),track->GetPx(),track->GetPz(),track->GetCharge());
	}

        if(ntrfound > 20)  ntrfound = 20;
        neventntrf[ntrfound] += 1;

        tfinder->GetCandidateList()->Delete();

  }  // End of run phase wrapper 
//*************************************************************************

  if(phase == kFin1) {
//==========================================
// display results
//==========================================

    for(i=0; i < 20; i++)
       printf(" Events with  %3d  tracks found: %8d\n", i, neventntrf[i]);
    printf(" Events with  20  or more tracks found: %8d\n", neventntrf[20]);
  }

  if(phase == kDisf) {
    //  Put these lines in later, after defining canvas explicitly!
    //  TH1F mom("mom","tot. momentum of reconstructed ptls",200,0.350,0.550);
    //  mom.DrawCopy();
    //   c2->Modified();  // Need to name the canvas since there are others
    //   c2->cd();
  }  // end of final display wrapper
//*************************************************************************
}
















