void phatic(Int_t phase = 0)
{
//  Macro file phaticonl.C; derived from MDC1 phatic.C (8/22/98).
//  Generates the buttons for phatonl.C    D. McLeod 08-Jan-1999
//     phaticonl.C calls another macro phatsetonl.C which implements
//  the button actions for phatonl.C 
//  
//  For phase = 1, the initial canvas is brought up which allows one
//  to turn on one or more phat "processors"; these all run in batch.
//  For phase = 2, the run phase canvas appears with run state and
//  display controls.
//  For phase = 3, final displays and output writing are controlled.

  //  12/10/98:  Cosmetic changes for use with Onl GUIs
//
////////////////////////////////////////////////////////////////////////////

  if(phase == 1) {

//   Draw the vertical bar canvas on which the control buttons appear
   bar = new TCanvas("PHAT INIT","PHAT INIT",-5,30,80,790);
   bar->SetEditable(0);
   bar->SetFillColor(38);
   bar->SetFillStyle(3014);
   bar->Draw();

   //  "GO" button at bottom
   TButton *but1 = new TButton("GO","phatset("GO",1);",
       .02,.02,.98,.11);
   but1->SetFillColor(2);
   but1->SetTextColor(10);
   but1->SetTextSize(0.70);
   but1->Draw();

   //  "Input" button
   TButton *but2 = new TButton("Input","phatset("Input",1);",
       .02,.81,.98,.87);
   but2->SetFillColor(7);
   but2->SetTextColor(1);
   but2->SetTextSize(0.50);
   but2->Draw();

   //  "Output" button
   TButton *but3 = new TButton("Output","phatset("Output",1);",
       .02,.74,.98,.80);
   but3->SetFillColor(7);
   but3->SetTextColor(1);
   but3->SetTextSize(0.48);
   but3->Draw();

   //  "Events" button
   TButton *but4 = new TButton("Events","phatset("Events",1);",
       .02,.67,.98,.73);
   but4->SetFillColor(7);
   but4->SetTextColor(1);
   but4->SetTextSize(0.48);
   but4->Draw();

   //  "Runs" button
   TButton *but5 = new TButton("Runs","phatset("Runs",1);",
       .02,.60,.98,.66);
   but5->SetFillColor(7);
   but5->SetTextColor(1);
   but5->SetTextSize(0.48);
   but5->Draw();

   //  Add a label on the canvas 
   TText *label = new TText(0.05,0.49,"TURN\n ON:");
   label->SetTextSize(0.35);
   label->SetTextColor(5);
   label->Draw();

   //  "Onl" button
   TButton *but6 = new TButton("Onl","phatset("Onl",1);",
       .02,.42,.98,.47);
   but6->SetFillColor(4);
   but6->SetTextColor(10);
   but6->SetTextSize(0.60);
   but6->Draw();
   
   //  "Vtx" button
   TButton *but7 = new TButton("Vtx","phatset("Vtx",1);",
       .02,.36,.98,.41);
   but7->SetFillColor(4);
   but7->SetTextColor(10);
   but7->SetTextSize(0.60);
   but7->Draw();

   //  "Mul" button
   TButton *but8 = new TButton("Mul","phatset("Mul",1);",
       .02,.30,.98,.35);
   but8->SetFillColor(4);
   but8->SetTextColor(10);
   but8->SetTextSize(0.60);
   but8->Draw();

   //  "Spc" button
   TButton *but9 = new TButton("Spc","phatset("Spc",1);",
       .02,.24,.98,.29);
   but9->SetFillColor(4);
   but9->SetTextColor(10);
   but9->SetTextSize(0.60);
   but9->Draw();

   //  "Tof" button
   TButton *but12 = new TButton("Tof","phatset("Tof",1);",
       .02,.18,.98,.23);
   but12->SetFillColor(4);
   but12->SetTextColor(10);
   but12->SetTextSize(0.60);
   but12->Draw();

   //  "Out" button
   TButton *but10 = new TButton("Out","phatset("Out",1);",
       .02,.12,.98,.17);
   but10->SetFillColor(4);
   but10->SetTextColor(10);
   but10->SetTextSize(0.60);
   but10->Draw();

   //  "HELP" button at right
   TButton *but11 = new TButton("HELP","gSystem.Exec("$PHATHELP");",
         .02,.88,.98,.98);
   but11->SetFillColor(8);
   but11->SetTextColor(10);
   but11->SetTextSize(0.35);
   but11->Draw();

   bar->cd();
   bar->Update();
  }
////////////////////////////////////////////////////////////////////////////

  if(phase == 2) {
// Delete the canvas left from phase = 1:
   bar->Close();
   bar = NULL;

//   Draw the bar canvas on which the control buttons appear
   bar = new TCanvas("PHAT RUN","PHAT RUN",-5,30,80,790);
   bar->SetEditable(0);
   bar->SetFillColor(38);
   bar->SetFillStyle(3014);
   bar->Draw();

   //  "STOP" button at bottom
   TButton *but1 = new TButton("STOP","phatset("STOP",2);",
       .02,.02,.98,.12);
   but1->SetFillColor(2);
   but1->SetTextColor(10);
   but1->SetTextSize(0.35);
   but1->Draw();

   //  "Pause" button
   TButton *but2 = new TButton("Pause","phatset("Pause",2);",
       .02,.76,.98,.84);
   but2->SetFillColor(7);
   but2->SetTextColor(1);
   but2->SetTextSize(0.40);
   but2->Draw();

   //  "Resume" button
   TButton *but3 = new TButton("Resume","phatset("Resume",2);",
       .02,.64,.98,.72);
   but3->SetFillColor(7);
   but3->SetTextColor(1);
   but3->SetTextSize(0.32);
   but3->Draw();

   //  Add a label on the canvas 
   TText *label = new TText(0.1,0.55,"Set\nDisplay\nType:");
   label->SetTextSize(0.28);
   label->SetTextColor(5);
   label->Draw();

  //  "Onl" button
   TButton *but6 = new TButton(" Onl","phatset("Onl",2);",
       .02,.47,.98,.54);
   but6->SetFillColor(4);
   but6->SetTextColor(10);
   but6->SetTextSize(0.50);
   but6->Draw();

   //  "Vtx" button, once only
   TButton *but7 = new TButton(" Vt","phatset("Vtx",2);",
       .02,.39,.49,.46);
   but7->SetFillColor(4);
   but7->SetTextColor(10);
   but7->SetTextSize(0.70);
   but7->Draw();

   //  "Vtx" button, repeat each event
   TButton *but7 = new TButton("x  ","phatset("Vtxr",2);",
       .51,.39,.98,.46);
   but7->SetFillColor(4);
   but7->SetTextColor(10);
   but7->SetTextSize(0.70);
   but7->Draw();

   //  "Mul" button, once only
   TButton *but8 = new TButton(" Mu","phatset("Mul",2);",
       .02,.31,.49,.38);
   but8->SetFillColor(4);
   but8->SetTextColor(10);
   but8->SetTextSize(0.70);
   but8->Draw();

   //  "Mul" button, repeat every event
   TButton *but8 = new TButton("l  ","phatset("Mulr",2);",
       .51,.31,.98,.38);
   but8->SetFillColor(4);
   but8->SetTextColor(10);
   but8->SetTextSize(0.70);
   but8->Draw();

   //  "Spc" button
   TButton *but9 = new TButton("Spc","phatset("Spc",2);",
       .02,.23,.98,.30);
   but9->SetFillColor(4);
   but9->SetTextColor(10);
   but9->SetTextSize(0.50);
   but9->Draw();

   //  "Tof" button
   TButton *but10 = new TButton("Tof","phatset("Tof",2);",
       .02,.15,.98,.22);
   but10->SetFillColor(4);
   but10->SetTextColor(10);
   but10->SetTextSize(0.50);
   but10->Draw();

   //  "HELP" button at top
   TButton *but11 = new TButton("HELP","gSystem.Exec("$PHATHELP");",
         .02,.88,.98,.98);
   but11->SetFillColor(8);
   but11->SetFillColor(8);
   but11->SetTextColor(10);
   but11->SetTextSize(0.35);
   but11->Draw();

   bar->Modified();
   bar->cd();
   bar->Update();
  }
////////////////////////////////////////////////////////////////////////////

  if(phase == 3) {
// Delete the canvas left from phase = 2:
   bar->Close();
   bar - NULL;

//   Draw the bar canvas on which the control buttons appear
   bar = new TCanvas("PHAT END","PHAT END",-5,30,80,790);
   bar->SetEditable(0);
   bar->SetFillColor(38);
   bar->SetFillStyle(3014);
   bar->Draw();

   //  "EXIT" button at left; sends special code (10) to doGo
   TButton *but1 = new TButton("EXIT","phatset("EXIT",3);",
       .02,.02,.98,.12);
   but1->SetFillColor(2);
   but1->SetTextColor(10);
   but1->SetTextSize(0.30);
   but1->Draw();

   //  "Onl" button
   TButton *but6 = new TButton("Onl","phatset("Onl",3);",
       .02,.72,.98,.82);
   but6->SetFillColor(4);
   but6->SetTextColor(10);
   but6->SetTextSize(0.50);
   but6->Draw();

   //  "Vtx" button
   TButton *but7 = new TButton("Vtx","phatset("Vtx",3);",
       .02,.59,.98,.69);
   but7->SetFillColor(4);
   but7->SetTextColor(10);
   but7->SetTextSize(0.50);
   but7->Draw();

   //  "Mul" button
   TButton *but8 = new TButton("Mul","phatset("Mul",3);",
       .02,.46,.98,.56);
   but8->SetFillColor(4);
   but8->SetTextColor(10);
   but8->SetTextSize(0.50);
   but8->Draw();

   //  "Spc" button
   TButton *but9 = new TButton("Spc","phatset("Spc",3);",
       .02,.33,.98,.43);
   but9->SetFillColor(4);
   but9->SetTextColor(10);
   but9->SetTextSize(0.50);
   but9->Draw();

   //  "Tof" button
   TButton *but10 = new TButton("Tof","phatset("Tof",3);",
       .02,.20,.98,.30);
   but10->SetFillColor(4);
   but10->SetTextColor(10);
   but10->SetTextSize(0.50);
   but10->Draw();

   //Same as before:

   //  "HELP" button at right
   TButton *but11 = new TButton("HELP","gSystem.Exec("$PHATHELP");",
         .02,.88,.98,.98);
   but11->SetFillColor(8);
   but11->SetTextColor(10);
   but11->SetTextSize(0.30);
   but11->Draw();
  }
}
