void uset(Char_t* name, Char_t* act, Int_t phase) {
  //  macro uset.C, used by phatonl.C and called by ugui.C
  // uset implements the button actions of ugui.C    DMcL 1/12/99
  //   Added code for "Out" including file selector    DMcL 1/31/99

  Int_t MaxReply = 100;
  Char_t reply[MaxReply];
  Char_t inF[MaxReply];

  //  Some rules for adding modules: Select your modules by name (such as
  //  Mul, Out) and phase; "act" denotes which button was pushed in ugui.
  //  Note flGen = 2 causes the deletion of the ugui canvas after a button
  //  action is done.  To keep the canvas active and delete it only when 
  //  the mode (ADC, sensor info etc.) is changed, don't set flGen. Use
  //  onlset("clear") to explicitly delete all canvases except the left bar. 
  //  Only one ugui canvas should be  present at any time.  Also be sure
  //  to read the ugui.C rules.  Use the following modules as templates:

///////////////////////>>> "Input" module <<</////////////////////////////
  if(!strcmp("Input",name) && phase == 1) {
    if(!strcmp("10ev",act)) {
      strcpy(inF,"$INPUT0\0");
    }
    if(!strcmp("5kev",act)) {
      strcpy(inF,"$INPUT1\0");
    } 
    if(!strcmp("type",act)) {
      Char_t datadir[120];  // Directory first appearing in file selector box
      if(gSystem->Getenv("DATAHOME")) {
        strcpy(datadir,gSystem->Getenv("DATAHOME"));
      }
      else {   
	strcpy(datadir,gSystem->Getenv("PHATHOME")); 
	strcat(datadir,"/data");  // Default $PHATHOME/data if no $DATAHOME
      }
      gSystem->ChangeDirectory(datadir);
      const char *gOpenAsTypes[] = {
        "ROOT files",   "*.root",
        "All files",    "*",
         0,              0
      };
      static TGFileInfo fi;
      fi.fFileTypes = gOpenAsTypes;
      new TGFileDialog(gClient->GetRoot(), gClient->GetRoot(), kFDOpen, &fi);
      if(fi.fFilename == NULL) {flGen = 2; return;} // CANCEL button pushed 
      strcpy (inF,gSystem->WorkingDirectory());
      strcat (inF,"/");
      strcat (inF,fi.fFilename);
    }
    strcpy(InFile,inF);  
    printf("Input file now set to expanded name %s\n",
    gSystem->ExpandPathName(InFile));
    flGen = 2; // Delete this canvas when done.
  }
///////////////////////>>> "Mul" module <<</////////////////////////////
  //  So far, all is done within ugui without calling uset.

///////////////////////>>> "Out" module <<</////////////////////////////
     // Put any actions specific to button pushes & not in Out.C here:
  if(!strcmp("Out",name) && phase == 1) {
    if(!strcmp("MDC1",act)) { 
       MDC1flag = kTRUE;
       MDC2flag = kFALSE;
    }
    if(!strcmp("MDC2",act)) { 
       MDC1flag = kFALSE;
       MDC2flag = kTRUE;
    }
    if(!strcmp("ONL",act))  ONLflag = kTRUE;
    if(!strcmp("ADC",act))  {
       ADCflag = kTRUE;
       // select the output file with a file selector box:
       gSystem->ChangeDirectory(gSystem->Getenv("HOME"));
       //  Modified code from root/tutorials/dialogs.C:
       const char *gSaveAsTypes[] = {
         "ROOT files",   "*.root",
         "All files",    "*",
         0,              0
       };
       static TGFileInfo fi;
       fi.fFileTypes = gSaveAsTypes;
       new TGFileDialog(gClient->GetRoot(), gClient->GetRoot(), kFDSave, &fi);
       if(fi.fFilename == NULL) return; // CANCEL button pushed 
       strcpy (ADCFile,gSystem->WorkingDirectory());
       strcat (ADCFile,"/");
       strcat (ADCFile,fi.fFilename);  
       printf("ADC Output file set to expanded name = %s\n",
       gSystem->ExpandPathName(ADCFile));   
    }
    flGen = 2; // Delete canvas after any choice.  We need to add an "Exit"
	       // button to allow several choices in one "pass".
  }
///////////////////////>>> "3-d" module <<</////////////////////////////
  if(!strcmp("3-d",name) && phase >= 2) {
    if(!view) {printf("Select a subdetector display first!\n"); return;} 
    Float_t min[3];
    Float_t max[3];
    static Float_t mins[3];
    static Float_t maxs[3];
    static Float_t rmin = 0.0;
    static Float_t rmax = 0.0;
    int i;
    static Int_t fv = 0;  // This acts as a toggle for true aspect
    static Int_t x2 = 0;  // This acts as a toggle for 2x magnification
    static Int_t bw = 0;  // Acts as cyclic toggle for 3 background colors

    if(!strcmp("clear",act)) { fv = 0; x2 = 0; bw = 0;}

    //  Give true aspect picture, not filling the  rotation box:
    //  Algorithm copied from my "toy model" phtog.C from 1997
    if(!strcmp("True",act)) {
      view->cd();
      TView *vw = view->GetView();
      if (fv) { 
         fv = 0; 
         vw->SetRange(mins,maxs);
      }
      else  {
         fv = 1;
         vw->GetRange(min,max);
         for (i = 0; i < 3; i++) {
            mins[i] = min[i];
            maxs[i] = max[i];
            if (rmin > min[i]) rmin = min[i];
            if (rmax < max[i]) rmax = max[i];       
         }
         for (i = 0; i < 3; i++) {
            min[i] = rmin;
            max[i] = rmax;
         }
         rmin = 0.0;
         rmax = 0.0;
         vw->SetRange(min,max);
      }
      view->Draw();
      view->Update();
    }
    // Double view size toggle
    if(!strcmp("2X",act)) { 
      view->cd();
      if (x2) { x2 = 0; view->Range(-1.0,-1.0,1.0,1.0); }
      else    { x2 = 1; view->Range(-0.5,-0.5,0.5,0.5); }
      view->Draw();
      view->Update();
    }
    // Screen color toggle
    if(!strcmp("Color",act)) { 
       view->cd();
       if (bw == 0) view->SetFillColor(1);
       if (bw == 1) view->SetFillColor(132);
       if (bw == 2) view->SetFillColor(10);
       if (++bw >= 3) bw = 0;
       view->Draw();
       view->Update();
    }
    // Start up x3d.  Caution.. exit by "q" not by deleting window!
    if(!strcmp("x3d",act)) { view->cd(); view->x3d();}
  }
//////////////////////END//////////////////////
}  // end uset.C
