{
// macro to have a look at the data coming from DAQ; just to remind you 
// the raw data format looks like
//
// |-----trailer info--------|-------------data--------------------|
//
// -------------------     -----     -----             -----     --- ---
// | 1 | 1 | 1 | 1 | 1 ... 1 | 0 ... 0 | 0 ........... 0 | 0 ... 0 |  |
// -------------------     -----     -----             -----     ---  |
// |   |   |   |   |         |                                     |  |
// | T |   |   |   |  16x    |     3bit String Number              |  |
// | O |   |   |   |  7bit   |                                     |  |
// | T |   |   |   |         |---    ----- ........... ------    --|  |
// | A |   |   |   | Analog  |                                     |  |
// | L |   |   |---|  Values |                                     |  |
// |   |   |   |Mo |         |                                     |  |
// | # |   |   |de |         |                                     | 16-bit
// |   |--------------     ---          8 Strings                  |  |
// | o | S | F |   |         |                                     |  |
// | f | h | I | F |  8bit   |      each ADC value is 12bits       |  |
// |   | i | F | E |         |                                     |  |
// | W | f | O | C | Analog  |                                     |  |
// | O | t |   |   |  Values |                                     |  |
// | R | E | E | # |         |                                     |  |
// | D | r | r |   |         |                                     |  |
// | S | r | r |   |         |                                     |  |
// -------------------     ---     ---     --     --     ---     --- ---
//
//                                                        Start ---^
//

TPhDST f("/home/katzy/data/hijing_c.root");
TPhEvent *ev = f.GetNextEvent();
// have a look at the container names
ev->ls("c");
TPhHashContainer *craw =(TPhHashContainer*) ev->GetObject("PMCRawHitFECn0s");
// have a look at the contents
TPhRawHitFECn0 *fec = (TPhRawHitFECn0*) craw->GetObject("FEC_3");
// Prints the packed hits (as they come from DAQ) in hex format 
// with U for upper byte of the word and L for lower byte of the word 
fec->Print();
Int_t j=0;
Int_t nword = fec->GetTotalWords();
for (Int_t i=0; i<nword; i++){
// print line by line
fec->Print("line",i);
j++;
if(!(j%10)) gSystem->Sleep(1000);
}
}
