void ugui(Char_t* name, Int_t phase) {
  //  ugui.C is a general, user configurable means of adding button panels.
  //  The application interface is explained below, but follow the examples.
  //  uset.C implements the button actions for ugui.C.  12-Jan-1999    D McLeod
  //         Added 4 button choice to "Out"    30-Jan-1999   DMcL
  //    Also removed apparently unneeded \ before " inside () in quoted expr.

  //  Some rules for adding modules: Canvas must be named barg to be deleted
  //  automatically after it's done.  See the remark below about using literal
  //  names in button actions.  Use name and phase to select your module.
  //  Only one ugui canvas may be open at one time, see uset for more details.
  //  Note that the "processor" buttons for all three phases call ugui with
  //  name = processor e.g. Mul, Out.  See phatsetonl.C for the calls.
  //  Also be sure to read the uset.C rules.

  Int_t xp =  -90;   // Standard 2nd button panel position (- =  no pulldowns)
  Int_t xw =  70;    // Standard width to just clear right screen canvas 
  Int_t sty = 3014;  // Standard fill pattern for canvas (wiggly)
  Int_t col = 38;    // Standard color for canvas (lt. blue)
  if(barg) {
     //  printf("Closed a ugui canvas left open!\n");
     barg->Close();
     barg = NULL;
  }
///////////////////////>>> "Input" module <<</////////////////////////////
  if(!strcmp("Input",name) && phase == 1) {
     // Here ugui.C brings up a 3-button panel to select a small file $INPUT0,
     // a many- event file $INPUT1, or a prompt for the user to type in a file
     // name.  The numbers of events are in $INP0NUM, $INP1NUM.
 
     //   Draw the bar canvas on which the control buttons appear.
     //   Comment: TDialogCanvas won't let you set position, and the -5
     //   means that the pulldown menus don't appear at the top of the canvas.
     barg = new TCanvas("INPUT","INPUT",-5,110,165,200);
     barg->SetEditable(0);
     barg->SetFillColor(col);
     barg->SetFillStyle(sty);
     barg->Draw();

     Char_t* small = gSystem->Getenv("INP0NUM");
     if(!small) small  = "SMALL";
     Char_t* big   = gSystem->Getenv("INP1NUM");
     if(!big) big = "BIG" ;
 
     //  Small file (default) button.  Note of caution here: Use literal
     //  not symbolic arguments of uset within TButton args; the local 
     //  variables "name", "phase" are out of scope here when the 
     //  button is pushed!
     TButton *but1 = new TButton(small,"uset("Input","10ev",1);",
                                 .02,.70,.98,.90);
     but1->SetFillColor(7);
     but1->SetTextColor(1);
     but1->SetTextSize(0.70);
     but1->Draw();

     //  Big file (5000 ev) button
     TButton *but2 = new TButton(big,"uset("Input","5kev",1);",
                                  .02,.40,.98,.60);
     but2->SetFillColor(7);
     but2->SetTextColor(1);
     but2->SetTextSize(0.50);
     but2->Draw();

     //  File selector box is called up:
     TButton *but3 = new TButton("FILE SELECTOR","uset("Input","type",1);",
                                  .02,.10,.98,.30);
     but3->SetFillColor(7);
     but3->SetTextColor(1);
     but3->SetTextSize(0.48);
     but3->Draw();
  }
///////////////////////>>> "Mul" module <<</////////////////////////////
  if(!strcmp("Mul",name) && phase == 2) {
     barg = new TCanvas("MUL","MUL",xp,520,xw,300);
     barg->SetEditable(0);
     barg->SetFillColor(col);
     barg->SetFillStyle(sty);
     barg->Draw();

   //  Add a label on the canvas 
   TText *label = new TText(0.05,0.35,"Uses\nLast\nSets");
   label->SetTextSize(0.35);
   label->SetTextColor(5);
   label->Draw();
  }

  if(!strcmp("Mulr",name) && phase == 2) {
     barg = new TCanvas("MUL","MUL",xp,520,xw,300);
     barg->SetEditable(0);
     barg->SetFillColor(col);
     barg->SetFillStyle(sty);
     barg->Draw();

     //  Use the following code fragment to space buttons evenly
     Float_t ytop = 0.95; // Canvas coord. are 0.0 - 1.0 going up
     Float_t ybot = 0.05;
     Float_t d = (ytop - ybot)/6.0; // Button spacing
     Float_t s = d/10.0; // half-space between buttons
     Float_t ylow = ytop -d +s;  // initial button bottom
     Float_t yup = ytop -s;      // initial button top

     TButton *but1 = new TButton("BOX","strcpy(ptype,"BOX");",
                                  .02,ylow,.98,yup);
     but1->SetFillColor(7);
     but1->SetTextColor(1);
     but1->SetTextSize(0.50);
     but1->Draw();

     TButton *but2 = new TButton("COLOR","strcpy(ptype,"COL");",
                                  .02,ylow -d,.98,yup -d);
     but2->SetFillColor(7);
     but2->SetTextColor(1);
     but2->SetTextSize(0.50);
     but2->Draw();

     TButton *but3 = new TButton("LEGO","strcpy(ptype,"LEGO2");",
                                  .02,ylow -2.0*d,.98,yup -2.0*d);
     but3->SetFillColor(7);
     but3->SetTextColor(1);
     but3->SetTextSize(0.50);
     but3->Draw();

     TButton *but4 = new TButton("SURF","strcpy(ptype,"SURF2");",
                                  .02,ylow - 3.0*d,.98,yup -3.0*d);
     but4->SetFillColor(7);
     but4->SetTextColor(1);
     but4->SetTextSize(0.50);
     but4->Draw();

 
     TButton *but7 = new TButton("Cross s.","dind = 13; dinde = 14;",
                                  .02,ylow - 4.0*d,.98,yup -4.0*d);
     but7->SetFillColor(8);
     but7->SetTextColor(1);
     but7->SetTextSize(0.50);
     but7->Draw();
 
     TButton *but8 = new TButton("Occup.","dind = 11; dinde = 12;",
                                  .02,ylow - 5.0*d,.98,yup -5.0*d);
     but8->SetFillColor(8);
     but8->SetTextColor(1);
     but8->SetTextSize(0.50);
     but8->Draw();
 }
///////////////////////>>> "Out" module <<</////////////////////////////
  if(!strcmp("Out",name) && phase == 1) {
     barg = new TCanvas("OUT","OUT",xp,600,xw,220);
     barg->SetEditable(0);
     barg->SetFillColor(col);
     barg->SetFillStyle(sty);
     barg->Draw();

     TButton *but1 = new TButton("MDC1","uset("Out","MDC1",1);",
                                  .02,.80,.98,.95);
     but1->SetFillColor(7);
     but1->SetTextColor(1);
     but1->SetTextSize(0.50);
     but1->Draw();

     TButton *but2 = new TButton("MDC2","uset("Out","MDC2",1);",
                                  .02,.55,.98,.70);
     but2->SetFillColor(7);
     but2->SetTextColor(1);
     but2->SetTextSize(0.50);
     but2->Draw();

     TButton *but3 = new TButton("ONLDST","uset("Out","ONL",1);",
                                  .02,.30,.98,.45);
     but3->SetFillColor(7);
     but3->SetTextColor(1);
     but3->SetTextSize(0.50);
     but3->Draw();

     TButton *but4 = new TButton("ADC","uset("Out","ADC",1);",
                                  .02,.05,.98,.20);
     but4->SetFillColor(7);
     but4->SetTextColor(1);
     but4->SetTextSize(0.50);
     but4->Draw();
  }
///////////////////////>>> "3-d" module <<</////////////////////////////
  if(!strcmp("3-d",name) && phase >= 2) {
     barg = new TCanvas("3-d","3-d",xp,620,xw,200);
     barg->SetEditable(0);
     barg->SetFillColor(col);
     barg->SetFillStyle(sty);
     barg->Draw();

     TButton *but1 = new TButton("2X","uset(\"3-d\",\"2X\",2);",
                                  .02,.72,.98,.88);
     but1->SetFillColor(7);
     but1->SetTextColor(1);
     but1->SetTextSize(0.50);
     but1->Draw();

     TButton *but2 = new TButton("Color","uset(\"3-d\",\"Color\",2);",
                                  .02,.52,.98,.68);
     but2->SetFillColor(7);
     but2->SetTextColor(1);
     but2->SetTextSize(0.50);
     but2->Draw();

     TButton *but3 = new TButton("True","uset(\"3-d\",\"True\",2);",
                                  .02,.32,.98,.48);
     but3->SetFillColor(7);
     but3->SetTextColor(1);
     but3->SetTextSize(0.50);
     but3->Draw();

     TButton *but4 = new TButton("x3d","uset(\"3-d\",\"x3d\",2);",
                                  .02,.12,.98,.28);
     but4->SetFillColor(7);
     but4->SetTextColor(1);
     but4->SetTextSize(0.50);
     but4->Draw();
  }
//////////////////////END//////////////////////
}








