//
{
    gROOT.Reset();
   
    Float_t x;
    Float_t z;
    Int_t num = 0;
    Int_t i;

//     TH2F h2("h2","hits vs theta",100,0,3.14,20,0,20);
//     TH2F x_z("x_z","x_z",500,0,80,500,0,80);
//     TCanvas c("C");
    TPhEvent *event;
    TPhHit   *hit;  

    TPhSwim   *swim = new TPhSwim();

// For some of the later stuff we will need to know the 
// location of the $PHATHOME directory. Use the TSystem 
// class (thanks, Fons) for getting this variable:

   const Char_t *phathome = gSystem->Getenv("PHATHOME");
   printf("Found PHAT home at %s\n",phathome);


    Char_t fname[256];

    Bool_t ToscaMagnet = 1;
    if(ToscaMagnet) {
      sprintf(fname,"%s/init/magnet/PhobosMagnet.root",phathome);
      printf("Open Magnet file %s\n",fname);
      TFile f(fname);
      TPhMagnet *magnet = (TPhToscaMagnet *) f->Get("magnet");
      f.Close();
    }
    else
      TPhMagnet *magnet = new TPhIdealMagnet();

    sprintf(fname,"%s/init/test/Detector.root",phathome);
    TFile f(fname);
    TPhDetector *det = (TPhDetector*) f.Get("TPhDetector");
    f.Close();

    swim->SetMagnet(magnet);
    swim->SetDetector(det);
//    swim->SetMS(0);
    swim->SetMS(1);

    event = new TPhEvent(0, 0);
    Float_t oopmin = 10;
    Float_t oopmax = 0.2;
    Float_t oopstep = (oopmin - oopmax)/200;
    Float_t p;
    Float_t px;
    Float_t pz;
    Float_t oop = oopmin;

    for(i = 0; i < 100; i++)
    {
        track = new TPhTrack();
        track->SetPx(gRandom->Rndm());
        track->SetPz(gRandom->Rndm());
        track->SetPy(0);
        track->SetMass(0.139);
        if(gRandom->Rndm() > 0.5)
            track->SetCharge(1);
        else
            track->SetCharge(1);
    
	//        swim->SetVerbose(1);
        swim->SwimTrack(track);
    
        track->ResetHitCounter();
        while(hit = track->GetNextHit())
        {
	  //     x_z.Fill(hit->GetZ(),hit->GetX(),hit->GetPlane());
        }
    }
//    x_z.Draw("lego");
//    c.Update();
}
return;
// Create a few important objects

// First, TPhSwim for swimming tracks through the 
// setup

    TPhSwim     *swim = new TPhSwim();

// TPhIdealMagnet and TPhDetector are needed as interfaces to 
// the magnetic field and the geometry

    TPhIdealMagnet   *magnet = new TPhIdealMagnet();
    TPhDetector *det = new TPhDetector();

// Fill the sensor list from the data files in the 
// $PHATHOME/init/test directory

 
    sprintf(FileName,"%s/init/test",phathome);
    det->FillSensorList(FileName);

    swim->SetMagnet(magnet);
    swim->SetDetector(det);

// Create a 1D histogram where we'll store the distribution
// of the number of hits per track

   TH1F nhits("nhits","No of hits per track",20,0,20); 

   TH2F pty_in("pty_in","pt vs rapidity, Input",30,-6,6,20,0,2);
   TH2F pty_acc("pty_acc","pt vs rapidity, acc",30,-6,6,20,0,2);

// Also create a canvas into which the histogram will be 
// drawn

    TCanvas c("c");

// Open the input file with the events. So far these events
// contain only track momentum information as generated by an
// event generator (in this case the TPhRandomEvent class).

// Again, use phathome to find the data file

    sprintf(FileName,"%s/data/random_events.root",phathome);

// Now create a TPhDST object to access the data file at the 
// path given by FileName

    TPhDST *dst = new TPhDST(FileName);

// Reset the event counter
    Int_t num = 0;

// Now read events from the file until we either hit the 
// end-of-file or have read 100 events, whichever comes 
// first

    while((event = dst->GetNextEvent()) && num < 5)
    {

        printf("Now at event %d %d\n",event->GetNRun(),event->GetNEvent());
        printf("Number of total tracks is %d\n",event->GetNTracks());

// Here we use the TPhSwim object to propagate each track
// in the event through the PHOBOS setup (actually only the 
// right arm of the spectrometer for the present implementation
// of TPhSwim. 

        swim->SwimEvent(event);

// Use the GetNextTrack() iterator from TPhEvent to 
// loop over all tracks in the event. For those with at 
// least one hit in the spectrometer, fill the number of 
// hits into a histogram that was defined above.

        event->ResetTrackCounter();
        while(track = event->GetNextTrack())
        {
            pty_in.Fill(track->GetRap(0.139),track->GetPt());
            if(track->GetNHits() > 0)
            {
                pty_acc.Fill(track->GetRap(0.139),track->GetPt());
                nhits.Fill(track->GetNHits());
            }
        }
// Draw the histogram

        pty_in.Draw("box");
        c.Update();

// Release the memory for the event before reading the next one

        delete event;
        num++;
    }
}
