// Writes 1000 Random events using TPhRandomEvents into a root file.
// use read_events.C to read the events back.
//
//Begin_Html <A HREF="mailto:decowski@mit.edu">decowski@mit.edu</A>
//End_Html
{  

// Reset the ROOT environment
    gROOT->Reset();

    Int_t i;

// Create a TPhRandomEvent object
    TPhRandomEvent *random = new TPhRandomEvent();

// Set the charged particle mulitplicity
    random->SetMult(8000);

// Open the output file for the events
// This has to be changed to a directory where you
// have write permission

    Char_t FileName[200];
    sprintf(FileName, "%s/data/random_events.root", 
	    gSystem->Getenv("PHATHOME"));
    TFile f(FileName, "RECREATE");

    TPhObjectContainer *tracks;

// Create 1000 events
    for(i = 0; i < 1000; i++)
    {
// Create one event with track momenta thrown with an exponential
// mt distribution and a gaussian rapidity distribution.
// The parameters can be adjusted via the member functions of 
// TPhRandomEvent

        event = random->GetNextEvent();
	tracks = (TPhObjectContainer*) event->GetObject("MCTracks");
        printf("Event %d: %d tracks\n",event->GetNEvent(),
	       tracks->GetObjectList()->GetEntries());

// Write the event into the file opened before
        event->Write();

// Free the memory for the event
        delete event;
    }

// Close the file
    f.Close();
}
