#include "matrix.h"

void matrix::poke(UInt_t x, UInt_t y, Double_t a)
{
	#ifdef __RUN_TIME_CHECKING__
	if(x >= this->row || y >= this->col){
		cerr << "poke(): out of bounds element\n";
		exit(1);
	}
	#endif

	*(this->mat + this->col * x + y) = a;
}

Double_t matrix::peek(UInt_t x, UInt_t y) const
{
 	#ifdef __RUN_TIME_CHECKING__
	if(x >= this->row || y >= this->col){
		cerr << "peek(): out of bounds element\n";
		exit(1);
	}
	#endif

	return *(this->mat + this->col * x + y);
}
