#ifndef _TPhCreationID_INCLUDED_
#define _TPhCreationID_INCLUDED_

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhCreationID                                                  //
//                                                                   //
//    Stores creation details for TPhDataObjects                     //
//                                                                   //
//    Author  : Gunther Roland (gunter.roland@cern.ch)               //
//    Created : July 13 1997                                         //
//    Version : 1.0                                                  //
//    Changed :                                                      //
//                                                                   //
///////////////////////////////////////////////////////////////////////

// Root Classes

#include "TClass.h"
#include "TObject.h"
#include "TNamed.h"
#include "TSystem.h"
#include "time.h"

// PHOBOS Classes


class TPhCreationID : public TObject {

public:

    TPhCreationID();
    TPhCreationID(TObject *Creator);
    
    virtual ~TPhCreationID();

private:

    time_t        fTime;               // time when object was created
    TNamed       *fCreatorClassName;   // Class name of creating object   
    Version_t     fCreatorClassVersion;// Class version of creating object   
    TInetAddress *fHost;               // Host running creating process   
    UInt_t        fUserID;             // User ID for creating process
 

public:

    ClassDef(TPhCreationID,1)    // PHOBOS data object creation identifier

};

#endif




