#ifndef _PhRecHit_INCLUDED_
#define _PhRecHit_INCLUDED_

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhRecHit                                                      //
//                                                                   //
//    Author  : Krzysztof Wozniak                                    //
//    Created : 22/10/1998                                           //
//    Version : 1.0                                                  //
//    Changed :                                                      //
//                                                                   //
///////////////////////////////////////////////////////////////////////

// Root Classes

#include "TObject.h"

#include <string.h>

// Phobos Classes


#include "TPhHit.h"
#include "TPhTrack.h"

const Int_t kNPadsMax = 3;
const Int_t kNTracksMax = 3;

class TPhRecHit : public TPhHit {

public:
    TPhRecHit();
    TPhRecHit(TPhHit *rawhit);
    
    virtual ~TPhRecHit() { }

    virtual void     SetNPads(Int_t n)      {  fNPads = n;     }
//    virtual void     SetDLength(Float_t dlng)  {  fDLength = dlng;  }

    virtual Int_t    GetNPads()             {  return fNPads;  }
//    virtual Float_t  GetDLength()           {  return fDLength;  }

    virtual void     SetX(Float_t x)        {  TPhHit::SetX(x);  fDist45 = 0.0;  }
    virtual void     SetZ(Float_t z)        {  TPhHit::SetZ(z);  fDist45 = 0.0;  }
    virtual Float_t  CalcDist45();
    virtual Bool_t   MergeHit(TPhRecHit *hit);
    virtual Bool_t   AddHit(TPhRecHit *hit);

    virtual void     Print(Option_t *option = "");
    virtual void     ls(Option_t *option = "");

protected:

//    Float_t      fDLength;             // Length of the track inside sensor
    Int_t        fNPads;               // Number of pads merged together
    TPhHit      *fPads[kNPadsMax];     // Pointers to the merged pads
    Int_t        fNTracks;             // Number of tracks using this hit 
    TPhTrack    *fTracks[kNTracksMax]; // Pointer to the tracks
    Float_t      fDist45;              // Distance to the hit from 45 deg line

public:

    ClassDef(TPhRecHit,1)  // PHOBOS merged hit data class

};

#endif
