#include "TObjArray.h"
#include "TPhMCTrack.h"
#include <iostream.h>

ClassImp(TPhMCTrack)

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhMCTrack                                                     //
//                                                                   //
//    TPhMCTrack is a PHOBOS data class providing access to          //
//    "real" information for a single MC track.                      //
//                                                                   //
///////////////////////////////////////////////////////////////////////

void TPhMCTrack::ls(Option_t *option)
{
  // List the track object short info

  Int_t nhits = 0;
  TObjArray *hlist = NULL;
  hlist = GetHitList();

  if( hlist) nhits = hlist->GetEntries();
  IndentLevel();
  cout << IsA()->GetName() << " Name: " << GetName() << "  " << nhits << " hits." << endl;
}

void TPhMCTrack::Print(Option_t *option)
{
  // List the track object info
  // Use "number" as an option to indicate how many sublevels should be listed

  Int_t nhits = 0;
  TObjArray *hlist = NULL;
  hlist = GetHitList();
  if( hlist) nhits = hlist->GetEntries();

  printf("-------------------------------------------------------------------------------\n");
  printf("MCTrack: Track no %6d, volume origin: %6s, parent no %6d stopped: %3d - %4d hits\n",
          fTrackNo, fOriginName, fParentNo, fIStop, nhits);
  TPhTrack::Print(option);
}
