#include "TPhObjectContainer.h"
#include <iostream.h>
#include <string.h>

ClassImp(TPhObjectContainer)

////////////////////////////////////////////////////////////////////////////////
//
// TPhObjectContainer is a PHOBOS data containing objects that inherit from 
// TObject. When fast lookup is needed, have the classes inherit from TNamed and 
// store the objects in TPhHashContainer.
//
////////////////////////////////////////////////////////////

TPhObjectContainer::TPhObjectContainer()
{
// Defaults constructor. Does nothing.
// Don't use this constructor unless you have to and know
// what you are doing
// Use TPhObjectContainer(Char_t *name) instead.

    fObjectList = NULL;
}

TPhObjectContainer::TPhObjectContainer(Char_t *Name, Char_t *Title)
{
// Constructor. Create the data container setting the name
// (and title, if supplied)

   SetName(Name);
   if(Title)
       SetTitle(Title);
   else
       SetTitle(Name);
   fObjectList = new TObjArray();
}

TPhObjectContainer::~TPhObjectContainer()
{
// Destructor. Delete TPhObjectContainer and all the data objects
// currently owned by TPhObjectContainer

  if(fObjectList) {
    fObjectList->Delete();
    delete fObjectList;
  }
}

void TPhObjectContainer::Add(TObject *object)
{
    if(!fObjectList)
        fObjectList = new TObjArray();

    fObjectList->Add(object);
}

void TPhObjectContainer::Draw(Option_t *option)
{
  // Invoke Draw method on all objects in the list

  fObjectList->Draw(option);
}

void TPhObjectContainer::ls(Option_t *option)
{
// List all objects in the data container. 
// Use option 'D' to list all data objects.

    IndentLevel();
    cout << IsA()->GetName() << " Name: " << GetName() 
         << " contains " << fObjectList->GetEntries() 
         << " objects" << endl;
    
    TObject::IncreaseDirLevel();
    if(strstr(option,"D") || strstr(option,"d"))
      fObjectList->ls(option);

    TObject::DecreaseDirLevel();
}

void TPhObjectContainer::Print(Option_t *option)
{
// List all objects in the data container. 
// Use "number" as an option to indicate how many sublevels should be listed

  Char_t aoption1[5];
  Int_t level = atoi(option);
  if(level>=0) {
     level -=1;

     sprintf(aoption1,"%4d",level);
  } else return;

  printf(">>%s<<  Name: %s  contains %d objects\n", IsA()->GetName(), GetName(), 
	 fObjectList->GetEntries());

  if(level>=0) {
    fObjectList->Print(aoption1);
  }
}


