#ifndef _TPhHighEtaSensor_
#define _TPhHighEtaSensor_

////////////////////////////////////////////////////////////////////////////
//
// TPhHighEtaSensor
//
// This class has the description and functionality of the HighEta Counters
//
// Created 980429 by P. Decowski
//
////////////////////////////////////////////////////////////////////////////

#include "TPhTriggerSensor.h"

class TPhHighEtaSensor : public TPhTriggerSensor {

public:

  TPhHighEtaSensor();
  virtual ~TPhHighEtaSensor();

  virtual void       Draw(Option_t *option = "");
  virtual void       SetParameters(Float_t Rmin, Float_t Rmax, Float_t Dz);

private:
  Float_t fRmin;      // inside radius
  Float_t fRmax;      // outside radius
  Float_t fDz;        // half length in z

public:

  ClassDef(TPhHighEtaSensor,1)    // High Eta Trigger counter

};

#endif // TPhHighEtaSensor

