#ifndef _PhMagnet_INCLUDED_
#define _PhMagnet_INCLUDED_

///////////////////////////////////////////////////////////////////////
//                                                                   //
//    TPhMagnet                                                      //
//                                                                   //
//    PHOBOS Magnet information class                                //
//                                                                   //
//    TPhMagnet define the interface for the PHOBOS Magnet           //
//    objects                                                        //
//                                                                   //
//    Author  : Gunther Roland (rolandg@vxcern.cern.ch)              //
//    Created : 25/09/96                                             //
//    Version : 2.0                                                  //
//    Changed : 27.03.97                                             //
//              Andrzej Olszewski                                    //
//                                                                   //
// $Id: TPhMagnet.h,v 1.2 1999/01/11 18:49:18 decowski Exp $
//
///////////////////////////////////////////////////////////////////////

// ROOT classes

#include "TObject.h"


class TPhMagnet : public TObject {

public:

    TPhMagnet();
    TPhMagnet(Int_t fFieldType, Float_t fFieldMax, Float_t *fFieldOffset);

    virtual ~TPhMagnet();

    virtual Bool_t        ReadFieldMap(Char_t *FileName, Int_t *type=0, 
                                       Float_t *version=0);

    virtual Bool_t        GetField(Float_t *x, Float_t *field);

    virtual Int_t         GetFieldType()      { return fFieldType;   }
    virtual Float_t       GetFieldVersion()   { return fFieldVersion;}
    virtual Float_t       GetFieldMax()       { return fFieldMax;    }
    virtual void          GetFieldCenter(Float_t *x);
    virtual void          GetFieldOffset(Float_t *x);
    virtual void          ls();

    virtual void          SetFieldMax(Float_t x) { fFieldMax = x; }
    virtual void          SetFieldCenter(Float_t *x);
    virtual void          SetFieldOffset(Float_t *x);

protected:

    Int_t     fFieldType;        //  Type of field
    Float_t   fFieldVersion;     //  Field map version identifier
    Float_t   fFieldMax;         //  Scale variable for field  
    Float_t   fFieldCenter[3];   //  Coordinate of field center
    Float_t   fFieldOffset[3];   //  Coordinate of field center offset

public:

    ClassDef(TPhMagnet,1)     // PHOBOS magnetic field interface

};

#endif

