#ifndef __TPhStringCalTB98__
#define __TPhStringCalTB98__


///////////////////////////////////////////////////////////////////////////
//                                                                       //
//    TPhStringCalTB98                                                   //
//                                                                       //
//    Phobos class to store calibration data for a single string         //
//                                                                       //
//    TPhStringCalTB98 is a class storing calibration information        //
//    for a single string.                                               //
//    Test Beam 98 specific calibration (poly 2nd order)                 //
//                                                                       //
//    Author  : Andrzej Olszewski (andrzej.olszewski@ifj.edu.pl)         //
//    Created : 22/02/99                                                 //
//    Version : 1.0                                                      //
//    Changed :                                                          //
//                                                                       //
// $Id: TPhStringCalTB98.h,v 1.1 1999/02/24 22:41:56 olszewsk Exp $
//                                                                       //
///////////////////////////////////////////////////////////////////////////

// ROOT classes

// Phat classes
#include "TPhStringCalAbs.h"

class TPhStringCalTB98 : public TPhStringCalAbs {

public:

  TPhStringCalTB98();
  TPhStringCalTB98(Int_t parno, Int_t parpointsno, Float_t boardlinearity,
		    Float_t *pars, Float_t *calpoints, Float_t *parerrors=NULL);
  virtual ~TPhStringCalTB98();

  virtual Bool_t Calibrate(FECRawHit_t *hitstring, Int_t strlength);

public:

  ClassDef(TPhStringCalTB98,1)	// Calibrate ADC for each string (poly 2nd order)
};


#endif // __TPhStringCalTB98__
