#include "TPhPaddleSensor.h"

#include "TTRD1.h"

ClassImp(TPhPaddleSensor)

  ///////////////////////////////////////////////////////////////
  // 
  // TPhPaddleSensor
  // 
  // This class Implements the functionality of the trigger paddle
  // counters. 
  //
  // $Id: TPhPaddleSensor.cxx,v 1.2 1998/10/22 16:07:21 decowski Exp $ 
  //
  ///////////////////////////////////////////////////////////////

TPhPaddleSensor::TPhPaddleSensor()
{
  fDx1 = 0;
  fDx2 = 0;
  fDy = 0;
  fDz = 0;
}

TPhPaddleSensor::~TPhPaddleSensor()
{
  // Default destructor

  SafeDelete(fShape);
}

void TPhPaddleSensor::Draw(Option_t *Option)
{
  // Draw the Paddle sensor in blue

  SetLineColor(kBlue);
  TPhSensor::Draw(Option);
}


void TPhPaddleSensor::SetParameters(Float_t Dx1, Float_t Dx2, 
				    Float_t Dy, Float_t Dz)
{
  // Set shape parameters to TRD1

  Char_t name[40];
  fDx1 = Dx1;
  fDx2 = Dx2;
  fDy = Dy;
  fDz = Dz;

  sprintf(name, "Trd1_%s", GetName());
  fShape = new TTRD1(name, name, "", fDx1, fDx2, fDy, fDz);
}

