#ifndef _TPhDispDef_INCLUDED_
#define _TPhDispDef_INCLUDED_
///////////////////////////////////////////////////////////////////////
// TPhDispDef is a display geometry definition class for Phobos multiplicity
// reconstruction.
//
// 16-Dec-98 v3  Unused constructors commented out until needed (RV)
// $Id: TPhDispDef.h,v 1.4 1998/12/21 21:41:26 verdier Exp $
//
///////////////////////////////////////////////////////////////////////

// 08-Dec-98 v2  Update Set methods (RV)
// 03-Jun-98 1.0  Replace include TPhSensGeo.h by forward declaration;
//                change syntax of default declaration for OSF1 (RV)
// 15-Feb-98 0.2  Add GetNDefs methods (RV)
// 03-Nov-97 0.1  Creation (Robin Verdier)

#include "TPhMul.h" // Defines kNDispMax

// forward declarations

class TObject;
class TPhSensGeo; // defines EnameSize

class TPhDispDef : public TObject

{

public:

  TPhDispDef();

/* Comment-out So-far unused special creators to avoid compiler warnings:

  TPhDispDef(TPhDispDef *orig);

  TPhDispDef(Float_t Version, Char_t name[], Int_t id, Int_t type,
    Int_t nxcells, Float_t xmin, Float_t xsize,
    Int_t nycells, Float_t ymin, Float_t ysize,
    Float_t o1, Float_t o2, Float_t o3,
    Float_t a11, Float_t a12, Float_t a13,
    Float_t a21, Float_t a22, Float_t a23,
    Float_t a31, Float_t a32, Float_t a33 );

*/  // End of commented-out constructors

  virtual ~TPhDispDef();

// Copy from a DispDef's SensGeo to a SensGeo
  Int_t Copy(TPhDispDef *source, Int_t idisp, TPhSensGeo *copy);

  Float_t  GetAxis(Int_t idisp, Int_t ixyz);

  Int_t    GetId(Int_t idisp);

// Get index of named display
  Int_t    GetIndex(Char_t *displayName);

  Float_t  GetMin(Int_t idisp, Int_t ixy);

// Get name of indexed display
  Char_t  *GetName(Int_t idisp);

  Int_t    GetNCells(Int_t idisp, Int_t ixy);

  Int_t    GetNDefsAct(); // Number of active display definitions

  Int_t    GetNDefsMax() { return kNDispMax; } // Storage limit on # displays

  Float_t *GetOrig(Int_t idisp);

  Float_t  GetSize(Int_t idisp, Int_t ixy);

  Int_t    GetType(Int_t idisp);

  void     List(Int_t idMin, Int_t idMax); // Display active sensor names

  void     SetAxis(Int_t idisp, Int_t ixyz, Float_t val);

  void     SetId(Int_t idisp, Int_t id);

  void     SetMin(Int_t idisp, Int_t ixy, Float_t min);

  void     SetName(Int_t idisp, Char_t *name);

  void     SetNCells(Int_t idisp, Int_t ixy, Int_t ncells);

  void     SetOrig(Int_t idisp, Float_t x, Float_t y, Float_t z);

  void     SetSize(Int_t idisp, Int_t ixy, Float_t size);

  void     SetType(Int_t idisp, Int_t type);

  void     Show(Int_t idisp, Int_t reportLevel);

private:

  TPhSensGeo *fDisplays; //! Defaults- NO STREAMER

public:

ClassDef(TPhDispDef,3)     // PHOBOS display definitions class

};

#endif
