{
// printgraph.cxx: formatted printout of the contents of a TGraphErrors
// Use: .L printgraph.cxx
// printgraph(gg)
// where gg is a TGraphErrors * given, say, by 
//   TGraphErrors *gg = mp.GetDisplay("MOBA")->GetGraph(13,14);
// 11-Jun-98  Robin Verdier
  
  Int_t printgraph ( TGraphErrors *tg; )
  { if (tg)
    { Int_t nPerLine = 3;
      Int_t nPoints = tg->GetN();
      Float_t x, ex, y, ey;
      printf ("Title = %s, name = %s, %d points\n", tg->GetTitle(), 
        tg->GetName(), nPoints);
      for (int ip = 0; ip < nPerLine; ip++)
      { printf("  n   X   Y         +-    ");
        if (ip%nPerLine == nPerLine-1 || ip == nPoints-1) printf ("\n");
        else printf (" ");
      }
      for (int ip = 0; ip < nPoints; ip++)
      { tg->GetPoint (ip, x, y);
        ex = tg->GetErrorX (ip);
        ey = tg->GetErrorY (ip);
        printf ("%2d%6.2f%10.3e%8.1e", ip, x, y, ey);
        if (ip%nPerLine == nPerLine-1 || ip == nPoints-1) printf ("\n");
        else printf (" ");
      }
    }
    else printf ("%p is not a valid address for TGraphErrors tg.\n", tg);
  }
}
