#ifndef __TPhOnContainer__
#define __TPhOnContainer__

// Root classes

#include "TNamed.h"
#include "TObjArray.h"

class TObjArray;
class TCanvas;
class TPad;

class TPhOnContainer : public TNamed { 

public:
  TPhOnContainer();
  TPhOnContainer(const Char_t *Name);
  TObjArray*     GetOnArray() {return fOnArray;} 
  void           SetXCanvas(Int_t n){fXCanvas = n;}
  void           SetYCanvas(Int_t n){fYCanvas = n;}
  Int_t          GetXCanvas(){return fXCanvas;}
  Int_t          GetYCanvas(){return fYCanvas;}
  void           SetXPosCanvas(Int_t n){fXPosCanvas = n;}
  void           SetYPosCanvas(Int_t n){fYPosCanvas = n;}
  Int_t          GetXPosCanvas(){return fXPosCanvas;}
  Int_t          GetYPosCanvas(){return fYPosCanvas;}
  Int_t          DivideCanvas(Int_t fNPad);
  virtual Int_t  Init();
  virtual void   Fill();
  virtual void   Reset();
  virtual void   ListHisto(Option_t *option = "ALL");
  void           CloseCanvas();
  virtual Bool_t Check();
  
  ~TPhOnContainer();


protected:
  TCanvas      *fCanvas;       //! canvas to draw histograms
  TPad         *fPad;          //! main pad to draw the histograms
  TObjArray    *fOnArray;      //  pointer to the  array of online objects  
  Int_t        fXCanvas;       // canvas size in x direction
  Int_t        fYCanvas;       // canvas size in y direction
  Int_t        fXPosCanvas;    // canvas position in x direction (see TCanvas)
  Int_t        fYPosCanvas;    // canvas position in y direction

  ClassDef(TPhOnContainer,1)  // online histogram container base class

};

#endif // __TPhOnContainer__ 


