#ifndef __TPhOnSensor__
#define __TPhOnSensor__

#include "TNamed.h"
#include "TPhOnSensor.h"
#include "TH1.h"

class TPhDetector;
class TH1S;

class TPhOnSensor : public TNamed { 

public:
  TPhOnSensor();
  TPhOnSensor(const Char_t *name);
  virtual ~TPhOnSensor();
  void         Draw(Option_t* option = "adc");
  void         Init();
  void         Fill();
  void         Reset();
  Stat_t       GetEntries(Option_t *option="adc");
  TH1S*        GetHistogram(Option_t *option="adc");
  Int_t        GetNHistos(){return fNHistos;}
  Bool_t       IsExistend(Option_t* option = "adc");

protected:
  void         InitADC(Int_t nadcchan=4096);
  void         InitHit();
  void         InitNoise();


private:
  Int_t fLabel;        // sensor label   (the same value as in TPhSensor)
  Int_t fNRow;         // nr of rows     (            "                 )
  Int_t fNCol;         // nr of columns  (            "                 )
  Char_t sname[5];     // name of corresponding phobos sensor
  Int_t fNHistos;      // nr of booked histograms		    
  TH1S  *hadc;         // adc spectrum of this sensor
  TH1S  *hhit;         // #hit/pad in this sensor
  TH1S  *hnoise;       // mean signal/noise in each pad of this sensor
  TPhDetector *fDetector;  //! the detector object
  
public:

  ClassDef(TPhOnSensor,2)       // online class for set of sensor based histograms
                                
};

#endif // __TPhOnSensor__ 


