#ifndef __TPhOnString__
#define __TPhOnString__

#include "TNamed.h"
#include "TPhOnString.h"
#include "TH1.h"


class TPhDetector;
class TPhSensorMapDB;
class TH1S;

class TPhOnString : public TNamed { 

public:
  TPhOnString();
  TPhOnString(Int_t FECNr, Int_t StringNr);
  virtual ~TPhOnString();
  void         Draw(Option_t* option = "pedes");
  void         Init();
  void         Fill();
  void         Reset();
  TH1S*        GetHistogram(Option_t *option="pedes");
  Int_t        GetFECNr(){return (Int_t) fLabel/8;}
  Int_t        GetStringNr();
  Double_t     GetEntries(Option_t *option="pedes");

private:
//  Int_t fFECNr;          // nr of fec this string belongs to
//  Int_t fStringNr;       // nr of string inside the fec
  Int_t fLabel;            // global string label = (fecnr-1)*8 + string nr
  Int_t fNChannel;         // number of channels in string
  TH1S  *fHPedes;          // average pedestal vs channel
  TH1S  *fHNoise;          // average noise vs channel 
  TH1S  *fHStatus;         // status of channel vs channel
  TH1S  *fHConst;          // calibration constans of channel vs channel
  TPhSensorMapDB *fSensorMapDB; //! electronic data base
  
public:

  ClassDef(TPhOnString,1)    // online class for set of String based histograms
                                
};

#endif // __TPhOnString__ 


