#ifndef _PhInteract_INCLUDED
#define _PhInteract_INCLUDED

//////////////////////////////////////////////////////////////////////////////
//                                                                          //
//   TPhInteract                                                            //
//                                                                          //
//   TPhInteract is a Interactive Interface class. It allows interaction    //
//   with a user with Emacs like editing of the input line and a history.   //
//                                                                          //
//                                                                          //
//   Author  : Andrzej Olszewski (andrzej.olszewski@ifj.edu.pl)             //
//   Created : 20/02/98                                                     //
//   Version : 1.0                                                          //
//   Changed :                                                              //
//                                                                          //
//////////////////////////////////////////////////////////////////////////////


class TPhInteract  {

public:

   TPhInteract();
   virtual        ~TPhInteract();

   char           *Ask(Char_t *prompt, Char_t *hist = "");

private:

   Char_t     fPrompt[64];       //Prompt
   Char_t     fHist[64];         //History file name
   Char_t     fAns[256];         //Answer buffer

public:

   ClassDef(TPhInteract,1)  //ROOT Interactive Application Interface

};

#endif
