      subroutine UNSATREFS
*Documentation_Block
************************************************************************
*
*  Description:
*  UNSATREFS satisfies undefined linker references to avoid meaningless
*  error warnings for unused GEANT subroutine references.
*  It should be included explicitly it the end of the link.
*
*  OSSPEC - Operating System SPECific routine
*
*  THIS SUBROUTINE SHOULD BE ELIMINATED WHEN CERN LIBRARIES ARE
*  STRAIGHTENED OUT.
*
*  History:
*  Date       Name       Description
*  ----       ----       -----------
*  03-Dec-97  K. W.      Add comment with text indicating platform specific
*                        status of the routine
*  25-Jul-96  R. V.      ")," -> ")" in writes for ANSI compliance
*  19-Apr-92  R. Verdier Creation
************************************************************************
*End_Documentation_Block

      implicit none

c Local declarations:

c Names of unsatisfied references as of Geant 3.21 and Cernlib 94b:
      character*16 names(4) / 'CTL$GL_PCB', 'CTL$T_ACCOUNT',
     1 'CTL$T_USERNAME', 'QNEXT' /
c Idebug = 0 for no output, 1 to warn if called, 2 to stop
      integer idebug /2/, ie, ios, lun /6/, ncalls(4) / 4 * 0 /

c End of declarations

      entry QNEXT
      ie = 4

 10   ncalls(ie) = ncalls(ie) + 1
      if (idebug .ge. 1) then
        if (ncalls(ie) .le. 10) write (lun,'(3a)',iostat=ios)
     1    ' UNSATREFS: ', names(ie), ' unexpectedly called.'
        if (ncalls(ie) .eq. 10) write (lun,'(a)',iostat=ios)
     1    ' Additional warnings will be suppressed.'
        if (idebug .ge. 2) stop ' UNSATREFS: quit on unexpected call.'
      endif

      return
      end
