      SUBROUTINE GETPMCPNAME(NO, NAME)
*Documentation_Block
************************************************************************
*
*  Description:
*  Get from PMC name of parameter which can be modified using
*  SETPMCPAR
*  NOTE: the supported parameters list should be identical with
*        those in  GETPMCPAR  and  SETPMCPAR
*
*  Arguments:
*  NO      - parameter sequential number
*            (if too big - reset to 0)
*  NAME    - parameter keyword
*
*  Called by:
*  Phat
*
*  Calls:
*
*  Implicit inputs, outputs, side effects:
*  Reads information from standard input - or from a common /CGETKINE/
*
*  History:
*  Date       Name       Description
*  ----       ----       -----------
*   17-Dec-98  K.W.    Added almost all control file parameters
*    7-Jul-98  K.W.    Added GEN. SMEM, SAOU, MAGT and TRIG
*   27-Apr-98  K.W.    Creation
************************************************************************
*End_Documentation_Block

      IMPLICIT NONE

      CHARACTER*4 NAME
      INTEGER  NO


C
C     Executable Statements
C     =====================
C

      IF(NO .EQ. 1)  NAME = 'CUTS'
      IF(NO .EQ. 2)  NAME = 'MULS'
      IF(NO .EQ. 3)  NAME = 'DCAY'
      IF(NO .EQ. 4)  NAME = 'HADR'
      IF(NO .EQ. 5)  NAME = 'LOSS'
      IF(NO .EQ. 6)  NAME = 'PAIR'
      IF(NO .EQ. 7)  NAME = 'BREM'
      IF(NO .EQ. 8)  NAME = 'COMP'
      IF(NO .EQ. 9)  NAME = 'PHOT'
      IF(NO .EQ. 10)  NAME = 'DRAY'
      IF(NO .EQ. 11)  NAME = 'ANNI'
      IF(NO .EQ. 12)  NAME = 'PIXL'
      IF(NO .EQ. 13)  NAME = 'SECT'
      IF(NO .EQ. 14)  NAME = 'RBXX'
      IF(NO .EQ. 15)  NAME = 'RBYY'
      IF(NO .EQ. 16)  NAME = 'RBZZ'
      IF(NO .EQ. 17)  NAME = 'RMOM'
      IF(NO .EQ. 18)  NAME = 'RPID'
      IF(NO .EQ. 19)  NAME = 'RETA'
      IF(NO .EQ. 20)  NAME = 'RPHI'
      IF(NO .EQ. 21)  NAME = 'RARM'
      IF(NO .EQ. 22)  NAME = 'RMUL'
      IF(NO .EQ. 23)  NAME = 'GEN '
      IF(NO .EQ. 24)  NAME = 'SMEM'
      IF(NO .EQ. 25)  NAME = 'SAOU'
      IF(NO .EQ. 26)  NAME = 'MAGT'
      IF(NO .EQ. 27)  NAME = 'TRIG'
      IF(NO .EQ. 28)  NAME = 'RROT'
      IF(NO .EQ. 29)  NAME = 'REXP'
      IF(NO .EQ. 30)  NAME = 'RANG'
      IF(NO .EQ. 31)  NAME = 'RSPX'
      IF(NO .EQ. 32)  NAME = 'RSPZ'
      IF(NO .EQ. 33)  NAME = 'RSPR'
      IF(NO .EQ. 34)  NAME = 'RBXY'
      IF(NO .EQ. 35)  NAME = 'RBDX'
      IF(NO .EQ. 36)  NAME = 'RBDY'
      IF(NO .EQ. 37)  NAME = 'RBDZ'
      IF(NO .EQ. 38)  NAME = 'RNDM'
      IF(NO .EQ. 39)  NAME = 'RUNG'
      IF(NO .EQ. 40)  NAME = 'ANAL'
      IF(NO .EQ. 41)  NAME = 'NESK'
      IF(NO .EQ. 42)  NAME = 'NTSK'
      IF(NO .EQ. 43)  NAME = 'NTPE'
      IF(NO .EQ. 44)  NAME = 'NTCO'
      IF(NO .EQ. 45)  NAME = 'DEBU'
      IF(NO .EQ. 46)  NAME = 'SWIT'

      IF(NO .GT. 46)  THEN
         NO = 0
         NAME = '????'
      ENDIF

      RETURN
      END
