      SUBROUTINE PUTVKINE(ID, PX, PY, PZ, VX, VY, VZ)
*Documentation_Block
************************************************************************
*
*  Description:
*  Store in common CGETKINE the information for GET_KINE
*
*  Arguments:
*  ID        - particle GEANT id
*  PX,PY,PZ  - momentum of the particle
*  VX,VY,VZ  - point of origin of the particle
*
*  Called by:
*  PHAT program
*
*  Calls:
*
*  Implicit inputs, outputs, side effects:
*  Puts information to a common /CGETKINE/
*
*  History:
*  Date       Name       Description
*  ----       ----       -----------
*   11-Feb-98  K.W.    Creation
************************************************************************
*End_Documentation_Block

      IMPLICIT NONE

      INTEGER  ID
      REAL PX, PY, PZ,  VX, VY, VZ

*KEEP,CGETKINE.
c CGETKINE.CMN: Common to interface GET_KINE with PUT_V_KINE and PUT_A_KINE
c  11-Feb-98  K. W.     Creation

      INTEGER ISTOIND, IDSTO
      REAL PLABSTO(3), VERTSTO(3)
      COMMON /CGETKINE/ ISTOIND, IDSTO, PLABSTO, VERTSTO
*KEND.
C
C     Executable Statements
C     =====================
C


         PLABSTO(1)  = PX
         PLABSTO(2)  = PY
         PLABSTO(3)  = PZ
         VERTSTO(1)  = VX
         VERTSTO(2)  = VY
         VERTSTO(3)  = VZ

         IDSTO = ID
         ISTOIND = 1    !    new information saved

      RETURN
      END
