C======================
      SUBROUTINE UGLAST
C======================
C
C     Description:-
C     =============
C     User termination routine called at end of run.
C     Optionally prints run control cards.
C     Called by KUEXIT or UGCONB.
C     Calls USLAST, GLAST, GCLOSE; SERVPR; UFILE
C
C     Arguments:-
C     ===========
C     none
C
C     Implicit inputs, outputs, side effects:-
C     ========================================
C     izeb control switch from common FLAG
C
C     Author:  D. McLeod
C     =======
C
C     Creation Date: 28-Mar-1992
C     ===========================
C
C     Revisions:
C     ==========
C     Date       Name       Description
C     ---------  -------    --------------------------------------------
C
C      7 Jul 98  K.W.       close all files calling UFILE(4, ...)
C                           due to the change of flag meaning in UFILE
C     13 Feb 98  K.W.       close all files calling UFILE(3, ...)
C     31 Dec 97  K.W.       Disabled unused variables
C      7 Feb 97  K.W.       GCNUM sequence added (a variable was undefined)
C     31 Jul 96  R. V.      Select STAT call only on SUN
C     25 Jul 96  R. V.      Remove unreferenced IERR
C     14 Oct 95  DMcL       Remove obsolete control card file printout;
C                           the relevant unit (4) was no longer opened!
C                           Added server file and general info printout
C                           Corrected error in GCLOSE call!
C      5 May 94  R. V.      Include FLAG to define izeb
C     23 Oct 92  R. V.      Separated from GE_...
C     22 Jul 92  RV         Restore declaration of CARD
C      1 Jun 92  C. Parsons Moved from GPH into GE_ALL_THE_REST

*KEEP,FLAG.
C  PHOBOS flags, run control, operating modes, misc.   File FLAG.CMN
C   7-Jul-98  K. W.      Added  ITRIG flag (initial numer in TRIG command)
C  27-Nov-97  K. W.      Added IAOUF flag
C  31-Mar-95  R.V.       Change STRA to SECT to avoid GEANT 3.21 conflict
C  22-Nov-92  D. McLeod
C   These are set in input cards
      INTEGER ISASC,ISHBO,ISHDO,ISNTU, ISMEM,ISAOU,IAOUF, ISECT,IDRAW,
     1        IGEN,IANAL,ISCAT,IPIXL,ISEQ,NTRK,IZEB, ITRIG
      REAL WPIXL,WLOSS
      COMMON/RHFLG/ISASC,ISHBO,ISHDO,ISNTU,
     1  ISMEM,ISAOU,IAOUF, ISECT,IDRAW,
     2  IGEN,IANAL,ISCAT,IPIXL,ISEQ,NTRK,IZEB,WPIXL,WLOSS, ITRIG
*KEEP,FLAG2.
C  PHOBOS flags, run control, operating modes, misc.   File FLAG2.INC
C  14-Nov-95  D. McLeod
*     Glossary:  IPSIG = identity of kill signal sent by user as interrupt
*                EXSERV = flag for existence of external server file
*                SERNAME = name part only of server file, also run name
*                ROOTPATH = program environment pathname (no trailing /)
*                ROOTVERS = version subdirectory e.g. /prod, /test, /dev
*                SIMVER  = version number for the PHOBOS Monte Carlo
      INTEGER IPSIG
      REAL SIMVER
      LOGICAL EXSERV
      CHARACTER SERNAME*20, ROOTPATH*60, ROOTVERS*10
      COMMON/RHFLG2/IPSIG, EXSERV, SIMVER, SERNAME, ROOTPATH, ROOTVERS
*KEEP,GCFLAG.
      COMMON/GCFLAG/IDEBUG,IDEMIN,IDEMAX,ITEST,IDRUN,IDEVT,IEORUN
     +        ,IEOTRI,IEVENT,ISWIT(10),IFINIT(20),NEVENT,NRNDM(2)
      COMMON/GCFLAX/BATCH, NOLOG
      LOGICAL BATCH, NOLOG
C
      INTEGER       IDEBUG,IDEMIN,IDEMAX,ITEST,IDRUN,IDEVT,IEORUN
     +        ,IEOTRI,IEVENT,ISWIT,IFINIT,NEVENT,NRNDM
C
*KEEP,GCNUM.
      COMMON/GCNUM/NMATE ,NVOLUM,NROTM,NTMED,NTMULT,NTRACK,NPART
     +            ,NSTMAX,NVERTX,NHEAD,NBIT
      COMMON /GCNUMX/ NALIVE,NTMSTO
C
      INTEGER      NMATE ,NVOLUM,NROTM,NTMED,NTMULT,NTRACK,NPART
     +            ,NSTMAX,NVERTX,NHEAD,NBIT ,NALIVE,NTMSTO
C
*KEEP,GCKINE.
      COMMON/GCKINE/IKINE,PKINE(10),ITRA,ISTAK,IVERT,IPART,ITRTYP
     +      ,NAPART(5),AMASS,CHARGE,TLIFE,VERT(3),PVERT(4),IPAOLD
C
      INTEGER       IKINE,ITRA,ISTAK,IVERT,IPART,ITRTYP,NAPART,IPAOLD
      REAL          PKINE,AMASS,CHARGE,TLIFE,VERT,PVERT
C
*KEND.

C  LOCAL:
      CHARACTER*13 CSTATUS
      CHARACTER*24 LKTIME
      INTEGER IER, NDH(2), NTH(2)
      CHARACTER*24 CTIME
      INTEGER STEND, LENOCC, STAT
      EXTERNAL STEND
      EXTERNAL LENOCC
      EXTERNAL CTIME
      EXTERNAL STAT

C-------------------------------------------------------------------------

      CALL USLAST

C            Print job statistics

      CALL GLAST

C            Finish bank output
      IF(IZEB.NE.0) THEN
         CALL GCLOSE(USRZEB,IER)
      ENDIF

C            Print final summary of the run

      CALL DATIMH (NDH, NTH)
      LKTIME = ' '
C         The following is meaningful only for UNIX systems:
      IF( IPSIG .EQ. 1) THEN
        CSTATUS = 'stopped early'
      ELSE
        CSTATUS = 'all completed'
      ENDIF
C

100   FORMAT(3X,76('*'),/,3X,'* PHOBOS SIM run ',A,' on ',
     * 2A4,', ',2A4,', ',A13, T79,'*',/,3X,
     *'* Run # ',I4,', did ',I5,' tracks (primaries and secondaries)'
     * ,T79,'*',/,3X,'* on last event (# ',I4,') out of ',
     * I3,' events requested.',T79,'*',
     * /,3X,'* SIM version ',F5.2,
     * ' linked on ',A,T79,'*',/,3X,76('*'),/)

C   Close all files, only first parameter of UFILE is used
C   other are dummy in this call
      CALL UFILE(4, 'CLOSE', 0, 'ALL FILES')

      RETURN

      END
