      subroutine UHITSOUT (MODE, HITS, IP, ITRACK, IPARTYP)
*Documentation_Block
************************************************************************
*
* Description:
*  User routine called at the end of each tracking step to record hits
*  on the detector planes in an ASCII file for tracking studies
*
*  Arguments:
*  *MODE    1 to write hits, 2 to write vertex at end            (input)
*  *HITS    True hits (intercepts on detector plane)             (input)
*  *IP      Plane ID                                             (input)
*  *ITRACK  Geant track #                                        (input)
*  *IPARTYP Geant particle type code                             (input)
*
* Called by:
*  PH_HIT
*
* Calls:
*  none
*
* Implicit inputs, outputs, side effects:
*  Input and output variables in commons included below;
*  Data written to dataset with logical name 'HITSOUT'
*
* History:
* Date       Name          Description
* ----       ----          -----------
*  4-Mar-97  K.W.          routine to be removed - removed code
* 27-Jul-95  DMcL          changed UFILE to SERVER for UNIX port etc.
* 12-Feb-93  GSFS          Corrected reformatting of pads to I5
*                          Deleted unnecessary code from Chuck's start at track
*                          reconstruction.
* 10-Feb-93  R. V.         Added Mode arg to write vertex at end and
*                          iostat to avoid abend on write error;
*                          reformat pad numbers to i5
* 12-Jan-93  R. V.         Added FileName
* 15-Dec-92  Robin Verdier Moved into UHITSOUT, called by PH_HIT
* 11-Aug-92  Chuck Parsons Creation as MY_HIT, a version of PH_HIT
************************************************************************
*End_Documentation_Block

      IMPLICIT NONE

      REAL HITS(9)
      INTEGER IP, IPARTYP, ITRACK, MODE

      return
      end
