      SUBROUTINE USANAL

*Documentation_Block
************************************************************************
*
*  Description:
*  User additional analysis, usually on elements of Ntuple
*  with output to extra entries at end of Ntuples
*  This version is a dummy
*
*  Arguments:
*  none
*
*  Called by:
*  PH_OUT
*
*  Calls:
*  none
*
*  Implicit inputs, outputs, side effects:
*  none
*
*  History:
*  Date       Name       Description
*  ----       ----       -----------
*  12-Jan-93  R. V.      COMMON.NTU & COMMON.HST -> NTU.CMN & HST.CMN
*  19-Nov-92  R. Verdier Separated from PH_OUT
*     Apr-92  D. Mcleod  Creation
************************************************************************
*End_Documentation_Block

      IMPLICIT NONE

*KEEP,FLAG.
C  PHOBOS flags, run control, operating modes, misc.   File FLAG.CMN
C   7-Jul-98  K. W.      Added  ITRIG flag (initial numer in TRIG command)
C  27-Nov-97  K. W.      Added IAOUF flag
C  31-Mar-95  R.V.       Change STRA to SECT to avoid GEANT 3.21 conflict
C  22-Nov-92  D. McLeod
C   These are set in input cards
      INTEGER ISASC,ISHBO,ISHDO,ISNTU, ISMEM,ISAOU,IAOUF, ISECT,IDRAW,
     1        IGEN,IANAL,ISCAT,IPIXL,ISEQ,NTRK,IZEB, ITRIG
      REAL WPIXL,WLOSS
      COMMON/RHFLG/ISASC,ISHBO,ISHDO,ISNTU,
     1  ISMEM,ISAOU,IAOUF, ISECT,IDRAW,
     2  IGEN,IANAL,ISCAT,IPIXL,ISEQ,NTRK,IZEB,WPIXL,WLOSS, ITRIG
*KEEP,IO.
C Common block for GPH logical units etc.: file IO.CMN
c 13-Aug-96  R. V.       Added USRBATCHK for KUIP commands for UGCONS
c 21-Jul-96  R. V.       Remove unused record; note CARDDEF now obsolete
c 22-Feb-93  R. V.       Added USRMCNTU and IMCNTU for MC Ntuple
c 14-Nov-92  R. Verdier  Added UGCIN, IUGCIN, CARDDEF and ICARDDEF
c                        for UGC and EUCARD (obsolete) input units
C    Apr-92  C. Parsons  Replacement for original COMMON.CDT
      INTEGER USRGCIN, CARDDEF, USRIN, USROUT, USRMAP, USRNTU, USRZEB,
     *  USRMCNTU, USRBATKUMAC
      PARAMETER (USRIN = 4, USROUT = 16, USRMAP = 18)
      PARAMETER (USRNTU = 15, USRZEB = 17, USRGCIN = 19, CARDDEF = 20)
      PARAMETER (USRMCNTU = 21, USRBATKUMAC = 22)
      INTEGER ICARDDEF, IMCNTU, IUSRGCIN, IUSRIN, IUSROUT, IUSRMAP,
     *  IUSRNTU, IUSRZEB, IUSRAOU, IUSRBATKUMAC
      COMMON /IO/ IUSRIN, IUSROUT, IUSRMAP, IUSRNTU, IUSRZEB, IUSRGCIN,
     *  ICARDDEF, IMCNTU, IUSRAOU, IUSRBATKUMAC
*KEEP,RHSYS.
C  Common blocks for GPH PHOBOS simulation:  FILE RHSYS.CMN
C  General geometric layout of PHOBOS detector exclusive of detectors
C  These values are on input cards or data statements, except *MAX are
C  calculated to encompass all elements of the system.
C  20-Sep-96  K.W       Removed obsolete BMTBRAD, BERTHIK
C                       Removed FANGL - now local variable in BANG
C  12-Jul-96  K.W       Position of the magnet pole center MAGX, MAGZ
C                       (previously XOFF,ZOFF) separated from the magnet
C                       offset (now MOFF - 3-D vector)
C  14 Dec-92  R.V.      TMAG redefined and changed to integer
C  22-Nov-92 D. McLeod  Renamed from COMMON.SYS; TMAG, ZOFF, XOFF
C                       are added from the original GPH version
      REAL   BFLD         ! Magnetic field strength
     &      ,MAGX,MAGZ    ! Coordinates of field center
     &      ,MOFF(3)      ! offset of the field
     &      ,RFLD         ! Radius of field (perfect dipole only)
     1   ,XMAX,YMAX,ZMAX,ZMIN,XMMAX,ZMMAX
      INTEGER MAGT, TMAG  ! Field type: 0 Zebra bank, 1 = dipole,
                          ! 2 = ASCII map
      COMMON/RHSYS/ BFLD,MAGT,MAGX,MAGZ,MOFF
     1  ,RFLD,XMAX,YMAX,ZMAX,ZMIN,XMMAX,ZMMAX
      EQUIVALENCE (TMAG, MAGT)
*KEEP,NTU.
C Common block for Ntuple image and other analysis info.  File NTU.INC
C There may be one Truth Ntuple and/or one Hits Ntuple for each track.
C These must be correlated into events using the event number and other
C event information.
C 10-Jul-95  K. W.      Increased number of planes for spectrometer to 17
C 10-Mar-95  K. W.      Increased number of planes for spectrometer
C 19-Jul-94  R. V.      Update tagnames: Cxx -> Dxx, VOLTERM -> VOLUME
C 10-May-94  R. V.      Modify Ntuples to contain new hits information;
C                       add NTTAGS common for tags; move data to NTUD.INC
C 29-Jun-93  M. Baker   Modify Ntuples
C 10-Jan-93  R.Verdier  Separate Hits and Truth ntuples; rename to NTU.CMN
C    Mar-92  D. Mcleod  Creation as COMMON.NTU
C Number:  Name:    --------------- Description:----------------------------
C>>>>>>>GENERAL INFORMATION<<<<<<<<<<<<<<<<<<
*   1      RUN      run number
*   2      EVENT    event number
*   3      TRACK    track number
*   4      GEN      event generator type; 1 = fixed, 2 = random, etc.
*   5      ANAL     event analysis type; 1 = Ntuple only, 2 = resolution, etc.
*   6      SCAT     ISCAT = IMULS + 3*ILOSS + 9*IPIXL; 1st 2 are in /GCPHYS/
*   7      BIMP     Impact Parameter   ** NOT YET IMPLEMENTED **
C>>>>>>>THE TRUTH<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
*   8      XPROD    track origin
*   9      YPROD       "    "
*   10     ZPROD       "    "
*   11     IDPART   particle type (GEANT code)
*   12     CHRG     particle charge
*   13     TP       particle momentum (at production)
*   14     TK          "     kinetic energy    "
*   15     TPHI        "     azimuth angle
*   16     TTHETA      "     polar angle
C>>>>>>>ANALYSIS RESULTS..FOR THE WHOLE TRACK<<<<<<<<<<<<<<<<<<
*   17     ACCEPT   Acceptance Flag (+/-1=acc. in +/- wing, 2=both, 0=neither)
*   18     NHITSL   number of hits on track, set to a maximum of NHTM
*   19     USR1     spare, for later use
*   20     USR2              "
C>>>>>>>TRACK HITS<<<<<<<<
* The Truth ntuple stops here; the Hits ntuple continues with
* A series of particle history words
* NHITSL groups of 12 words each, at index = 32 + 12*(Ihit-1):
*
*   21     KCASE    creation mechanism
*   22     PARENT   track number
*   23     VOLUME   creation volume name
*   24     XTERM
*   25     YTERM
*   26     ZTERM
*   27     PXTERM
*   28     PYTERM
*   29     PZTERM
*   30     ETERM
*   31     STOP     stop mechanism

*   32+    PL       plane number hit
*   33+    X        Track center in plane in master coords (maybe pixeled)
*   34+    Y          "     "     "   "    "  "      "       "       "
*   35+    Z          "     "     "   "    "  "      "       "       "
*   36+    DE       Energy deposited in the plane
*   37+    DX       Exit minus entry position in master coord system
*   38+    DY        "    "    "    "      "        "    "
*   39+    DZ        "    "    "    "      "        "    "
*   40+    EFIN     track energy at exit from plane
*   41+    TOF      time registered by a TOF detector, in seconds
*   42+    ITRK     track number for this hit
*   43+    IS       Combined information:  IS = IVOL + 1000 * ISEQ
*                   ISEQ = sequential (first = 1) hit number on this track
*                   IVOL = system volume number of the plane
C The maximal number of hits is now NHTM = 17
C There are thus 31 + 12*NHTM or 235 entries in a Hits Ntuple, with zeroes
C after the last hit

      INTEGER NVMCTUP,NVTUP,NTOFF,NHTM
      PARAMETER (NTOFF=31, NVMCTUP=20, NHTM=17)
      PARAMETER (NVTUP=31+12*NHTM)

      REAL    RUN, EVENT, TRACK, GEN, ANAL, SCAT, BIMP
      REAL    XPROD, YPROD, ZPROD, IDPART, CHRG, TP, TK, TPHI, TTHETA
      REAL    ACCEPT, NHITSL, USR1, USR2
      REAL    STOP, PARENT, VOLTERM, XTERM, YTERM, ZTERM, PXTERM, PYTERM
      REAL    PZTERM, ETERM, UNUSED
      REAL    TRK(12,NHTM), TUP(NVTUP)

      COMMON/RHTUP/ RUN, EVENT, TRACK, GEN, ANAL, SCAT, BIMP,
     1  XPROD, YPROD, ZPROD, IDPART, CHRG, TP, TK, TPHI, TTHETA,
     2  ACCEPT, NHITSL, USR1, USR2, STOP, PARENT, VOLTERM, XTERM,
     3  YTERM, ZTERM, PXTERM, PYTERM, PZTERM, ETERM, UNUSED,
     4  TRK

      EQUIVALENCE (TUP(1),RUN)

      COMMON /NTTAGS/ TAGS(NVTUP)
      CHARACTER*8 TAGS
*KEEP,RHSIL.
C RHSIL.CMN: PHOBOS detector plane dimensions, positions, and
c granularity; UGC parameters
c The actual and maximum numbers of detector planes and detector hit
c parameters.  Their default values are defined in RHSILD.INC.
c 12-Dec-97 K. W.       PADSOLD and PADSNEW from UGCSET moved to a common
c  4-Nov-97 K. W.       Increased number of PADS parameters to 10
c                       Increased NSLPM to 800
c  1-Jul-97 K. W.       Added data for GEANT pixelization (GSDVN)
c  1-May-97 R. V.       Increased NSLPM to 500
c  3-MAR-97 K. W.       Removed SPL, added PADS data
C  3-Jan-97 K. W.       Increased NSLPM to 180
c  3-Jul-96 K. W.       Geometry version number added
c  5-Apr-96 D. McL.     Moved data value of UgcpMax to RHSILD
c  ...
c    Mar-92 D.McLeod    Creation
c Storage limit for number of silicon planes:
      INTEGER NSLPM
      PARAMETER (NSLPM=800)
c Storage limit for number of parameters for each hit:
      integer NSipMaxp
      parameter (NSipMaxp = 12)
c Safety limit for number of parameter values that may be entered in
c a UGC text input record:
      integer UgcpMaxp
      parameter (UgcpMaxp = 10)
c Number of silicon planes in use:
      integer NSLP
c Additional information on detectors - pad sizes:
C  DETNAME  - name of the detector volume
C  DIVXNAME - name for division in X direction
C  DIVYNAME - name for division in Y direction
C  DIVZNAME - name for division in Z direction
C  NDIVX    - number of divisions in X direction
C  NDIVY    - number of divisions in Y direction
C  NDIVZ    - number of divisions in Z direction
C  IPADFL   - pad type flag
C  PADn   - four pad parameters
C             (pad size in X, Y, Z direction for IPADFL=1 for example)
      CHARACTER*4 DETNAME(NSLPM), DIVXNAME(NSLPM),
     +             DIVYNAME(NSLPM), DIVZNAME(NSLPM)
      INTEGER NDIVX(NSLPM), NDIVY(NSLPM), NDIVZ(NSLPM)
      REAL PAD1(NSLPM),PAD2(NSLPM),PAD3(NSLPM),PAD4(NSLPM),PAD5(NSLPM)
      REAL PAD6(NSLPM),PAD7(NSLPM),PAD8(NSLPM),PAD9(NSLPM),PAD10(NSLPM)
      INTEGER NDETS, IPADFL(NSLPM)
      LOGICAL PADSOLD, PADSNEW
      COMMON /RHPADS/ NDETS, PADSOLD, PADSNEW,
     +       DETNAME, DIVXNAME, DIVYNAME, DIVZNAME,
     +       NDIVX, NDIVY, NDIVZ,
     +       IPADFL, PAD1, PAD2, PAD3, PAD4, PAD5,
     +               PAD6, PAD7, PAD8, PAD9, PAD10
c Number of silicon planes - compared with final value of NDETS
      COMMON /RHSIL/ NSLP
c UGC parameter information:
      integer UgcpMax
      real UGCpars(UgcpMaxp)
c Declare silicon plane parameters; their default values are specified
c in RHSILD.INC
      integer NSIP
c Names of parameters:
      CHARACTER*4 SINAMH(NSipMaxp)
c Mumber of bits stored for each parameter:
      INTEGER SIBITH(NSipMaxp)
c Multiplicative scale factors and origins, defined so that
c   Stored value = (Parameter value + SIORIG) * SIFACT:
      REAL SIFACT(NSipMaxp), SIORIG(NSipMaxp)
c Common for access to UGC parameters and hit parameter definitions:
      common /UGCPAR/ UgcpMax, UGCpars,
     1                NSIP, SINAMH, SIBITH, SIORIG, SIFACT
      real GEOV  !  geometry version number
      common /ugGEOV/ GEOV
*KEEP,GCFLAG.
      COMMON/GCFLAG/IDEBUG,IDEMIN,IDEMAX,ITEST,IDRUN,IDEVT,IEORUN
     +        ,IEOTRI,IEVENT,ISWIT(10),IFINIT(20),NEVENT,NRNDM(2)
      COMMON/GCFLAX/BATCH, NOLOG
      LOGICAL BATCH, NOLOG
C
      INTEGER       IDEBUG,IDEMIN,IDEMAX,ITEST,IDRUN,IDEVT,IEORUN
     +        ,IEOTRI,IEVENT,ISWIT,IFINIT,NEVENT,NRNDM
C
*KEND.

C     LOCAL: none

      RETURN
      END
