#ifndef _TPhMulguisin_      
#define _TPhMulguisin_      
//
//
// Muguisin Frame :
//	0 normal work frame, (x,y) 
//	1 eta phi (special treatment for phi angle)
//
// Mulguisin Method :
//	0 not weighted
//	1 weighted
//
// Mulguisin Mode : 
//	0 fixed cone size, fixed cone center
//	1 fixed cone size, variable cone center 
//	1 variable cone size, variable cone center
//

#define DebugMGS 0

class TPhMulguisin
{
private:

  int    fFrame;	//! Mulguisin Frame              
  int    fMethod;	//! Mulguisin Method
  int    fMode;		//! Mulguisin Mode
  float  fResol;	//! Mulguisin resolution 
  float  fRange[2];     //! Mulguisin acceptance
  
  int    InumG;		//!
  int   *IdetG;		//!
  float *RentG;		//!
  float *RetaG;		//!
  float *RphiG;		//!
  float *RradG;		//!

public:

           TPhMulguisin();
           TPhMulguisin(int frame,int method,int mode,float resol);
           TPhMulguisin(int frame,int method,int mode,float resol,
	                int num,int* det,float* ent,float* eta, float* phi);
  virtual ~TPhMulguisin();

  void     SetFrame(int frame){fFrame=frame;}
  void     SetMethod(int method){fMethod=method;}
  void     SetMode(int mode){fMode=mode;}
  void     SetResol(float resol){fResol=resol;}
  void     SetRange(float x, float y){fRange[0]=x; fRange[1]=y;}

  void     Clustering(int num, int* det, float* ent, float* eta, float* phi);

  float    Rdist(float eta1,float phi1,float eta0,float phi0);

  int      GetInumG(){return InumG;}
  int     *GetIdetG(){return IdetG;}
  float   *GetRentG(){return RentG;}
  float   *GetRetaG(){return RetaG;}
  float   *GetRphiG(){return RphiG;}
  
  // ClassDef(TPhMulguisin,0) // C++ version of Mulguisin Algorithm
    
};
#endif
