#include "TPhHoughHit.h"
#include "TPhHoughRoad.h"
ClassImp(TPhHoughHit)

TPhHoughHit::TPhHoughHit()
{
  fUsed=0;
  for (int i=0; i<2; i++)
  {
    fHitList[i]=new TObjArray();
    fRoadList[i]=new TObjArray();
  }
}

TPhHoughHit::TPhHoughHit(TPhRecHit *hit)
{// copy constructor ... crude way

  fLabel 	= hit->GetLabel();
  fSensorLabel 	= hit->GetSensorLabel();
  fLayer 	= hit->GetLayer();
  fX 		= hit->GetX();
  fY 		= hit->GetY();
  fZ 		= hit->GetZ();
  fPadX 	= hit->GetPadX();
  fPadY 	= hit->GetPadY();
  fDe 		= hit->GetDe();
  fDt 		= hit->GetDt();
  fField	= hit->GetField();

  if (fX==0 && fY==0) printf("̷??\n");

  fTheta = acos(fZ/sqrt(fX*fX+fY*fY+fZ*fZ));
  fEta   = -log(tan(fTheta/2));
  fPhi   = atan2(fY,fZ);
  
  TPhDetector *det = TPhDetector::GetInstance();
  if (!det) printf("??\n");
  TPhSiSensor *ss=(TPhSiSensor *)det->GetSensor(fSensorLabel);
  if (!ss ) printf("Ǹ??\n");
  fPadSizeX=ss->GetPadWidthX();
  fPadSizeY=ss->GetPadWidthY();
  
  fUsed		= 0; 
  for (int i=0; i<2; i++)
  {
    fHitList[i]=new TObjArray();
    fRoadList[i]=new TObjArray();
  }
}

TPhHoughHit::~TPhHoughHit()
{
  for (int i=0; i<2; i++)
  {
    if (fHitList[i]) fHitList[i]->Clear();
    if (fRoadList[i]) fRoadList[i]->Clear();
    delete fHitList[i];
    delete fRoadList[i];
  }
}
  
void TPhHoughHit::AddRoad(int i,TPhHoughRoad *r)
{
  fRoadList[i]->Add(r); 
}
  
void TPhHoughHit::AddHit(int i, TPhHoughHit  *h)
{
  fHitList[i]->Add(h); 
}

void TPhHoughHit::Reset()
{  
  fHitList[0]->Clear();
  fHitList[1]->Clear(); 
  fRoadList[0]->Clear(); 
  fRoadList[1]->Clear(); 
}
